<?php
// createOrder.php
// require 'vendor/autoload.php';
require __DIR__ . '/../vendor/autoload.php';

use PayPalCheckoutSdk\Core\PayPalHttpClient;
use PayPalCheckoutSdk\Core\SandboxEnvironment;
use PayPalCheckoutSdk\Orders\OrdersCreateRequest;

// PayPal Client Configuration
class PayPalClient {
    public static function client() {
        $clientId = "AR9WtMxiBeQY-taOPIayAQzXmRCeF0_mqdlmN8qgzHMWB3K5rr2QIDINlV6O7CmliReko-Z2CZPSDRQw";
        $clientSecret = "EMC4XUfMjZYatnUJ-tlPuV6zySOUvBo_whEiSIQ-3i7-PaTNiD_o4qvWX94-BkTJURgAGJoeOOhZjetY";
        $environment = new SandboxEnvironment($clientId, $clientSecret);
        return new PayPalHttpClient($environment);
    }
}

// Create a PayPal order
if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $amount = $_POST['amount'];

    // echo $amount;

    $amount = 1000; // Original amount
    $percentage = 7.5; // Percentage to add

    // Calculate the additional amount
    $additionalAmount = ($amount * $percentage) / 100;

    // Calculate the new amount
    $newAmount = $amount + $additionalAmount;
    

    $client = PayPalClient::client();
    $request = new OrdersCreateRequest();
    $request->prefer('return=representation');
    $request->body = [
        "intent" => "CAPTURE",
        "purchase_units" => [
            [
                "amount" => [
                    "currency_code" => "USD",
                    "value" => $newAmount
                ]
            ]
        ]
    ];

    try {
        $response = $client->execute($request);
        $orderID = $response->result->id;

        // Redirect to PayPal for approval
        foreach ($response->result->links as $link) {
            if ($link->rel == 'approve') {
                header("Location: $link->href");
                exit;
            }
        }
    } catch (HttpException $ex) {
        echo "Error creating PayPal order: " . $ex->getMessage();
    }
}
?>
