<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>PayPal Payment</title>
</head>
<body>
    <h1>Pay with PayPal</h1>
    <form id="paymentForm">
        <label for="amount">Enter Amount (USD):</label>
        <input type="number" id="amount" name="amount" step="0.01" min="1" required>
        <button type="submit">Pay</button>
    </form>

    <script>
        const form = document.getElementById('paymentForm');
        form.addEventListener('submit', async (e) => {
            e.preventDefault();
            const amount = document.getElementById('amount').value;

            const response = await fetch('/api/orders', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                },
                body: JSON.stringify({ amount: amount })
            });

            const data = await response.json();
            if (response.ok) {
                // Redirect the user to PayPal approval link
                const approvalLink = data.links.find(link => link.rel === 'approve');
                if (approvalLink) {
                    window.location.href = approvalLink.href;
                } else {
                    alert('Approval link not found!');
                }
            } else {
                alert(`Error: ${data.error}`);
            }
        });
    </script>
</body>
</html>
