
# Shipment Carrier

The carrier for the shipment. Some carriers have a global version as well as local subsidiaries. The subsidiaries are repeated over many countries and might also have an entry in the global list. Choose the carrier for your country. If the carrier is not available for your country, choose the global version of the carrier. If your carrier name is not in the list, set `carrier` to `OTHER` and set carrier name in `carrier_name_other`. For allowed values, see <a href="/docs/tracking/reference/carriers/">Carriers</a>.

## Enumeration

`ShipmentCarrier`

## Fields

| Name |
|  --- |
| `DPD_RU` |
| `BG_BULGARIAN_POST` |
| `KR_KOREA_POST` |
| `ZA_COURIERIT` |
| `FR_EXAPAQ` |
| `ARE_EMIRATES_POST` |
| `GAC` |
| `GEIS` |
| `SF_EX` |
| `PAGO` |
| `MYHERMES` |
| `DIAMOND_EUROGISTICS` |
| `CORPORATECOURIERS_WEBHOOK` |
| `BOND` |
| `OMNIPARCEL` |
| `SK_POSTA` |
| `PUROLATOR` |
| `FETCHR_WEBHOOK` |
| `THEDELIVERYGROUP` |
| `CELLO_SQUARE` |
| `TARRIVE` |
| `COLLIVERY` |
| `MAINFREIGHT` |
| `IND_FIRSTFLIGHT` |
| `ACSWORLDWIDE` |
| `AMSTAN` |
| `OKAYPARCEL` |
| `ENVIALIA_REFERENCE` |
| `SEUR_ES` |
| `CONTINENTAL` |
| `FDSEXPRESS` |
| `AMAZON_FBA_SWISHIP` |
| `WYNGS` |
| `DHL_ACTIVE_TRACING` |
| `ZYLLEM` |
| `RUSTON` |
| `XPOST` |
| `CORREOS_ES` |
| `DHL_FR` |
| `PAN_ASIA` |
| `BRT_IT` |
| `SRE_KOREA` |
| `SPEEDEE` |
| `TNT_UK` |
| `VENIPAK` |
| `SHREENANDANCOURIER` |
| `CROSHOT` |
| `NIPOST_NG` |
| `EPST_GLBL` |
| `NEWGISTICS` |
| `POST_SLOVENIA` |
| `JERSEY_POST` |
| `BOMBINOEXP` |
| `WMG` |
| `XQ_EXPRESS` |
| `FURDECO` |
| `LHT_EXPRESS` |
| `SOUTH_AFRICAN_POST_OFFICE` |
| `SPOTON` |
| `DIMERCO` |
| `CYPRUS_POST_CYP` |
| `ABCUSTOM` |
| `IND_DELIVREE` |
| `CN_BESTEXPRESS` |
| `DX_SFTP` |
| `PICKUPP_MYS` |
| `FMX` |
| `HELLMANN` |
| `SHIP_IT_ASIA` |
| `KERRY_ECOMMERCE` |
| `FRETERAPIDO` |
| `PITNEY_BOWES` |
| `XPRESSEN_DK` |
| `SEUR_SP_API` |
| `DELIVERYONTIME` |
| `JINSUNG` |
| `TRANS_KARGO` |
| `SWISHIP_DE` |
| `IVOY_WEBHOOK` |
| `AIRMEE_WEBHOOK` |
| `DHL_BENELUX` |
| `FIRSTMILE` |
| `FASTWAY_IR` |
| `HH_EXP` |
| `MYS_MYPOST_ONLINE` |
| `TNT_NL` |
| `TIPSA` |
| `TAQBIN_MY` |
| `KGMHUB` |
| `INTEXPRESS` |
| `OVERSE_EXP` |
| `ONECLICK` |
| `ROADRUNNER_FREIGHT` |
| `GLS_CROTIA` |
| `MRW_FTP` |
| `BLUEX` |
| `DYLT` |
| `DPD_IR` |
| `SIN_GLBL` |
| `TUFFNELLS_REFERENCE` |
| `CJPACKET` |
| `MILKMAN` |
| `ASIGNA` |
| `ONEWORLDEXPRESS` |
| `ROYAL_MAIL` |
| `VIA_EXPRESS` |
| `TIGFREIGHT` |
| `ZTO_EXPRESS` |
| `TWO_GO` |
| `IML` |
| `INTEL_VALLEY` |
| `EFS` |
| `UK_UK_MAIL` |
| `RAM` |
| `ALLIEDEXPRESS` |
| `APC_OVERNIGHT` |
| `SHIPPIT` |
| `TFM` |
| `M_XPRESS` |
| `HDB_BOX` |
| `CLEVY_LINKS` |
| `IBEONE` |
| `FIEGE_NL` |
| `KWE_GLOBAL` |
| `CTC_EXPRESS` |
| `LAO_POST` |
| `AMAZON` |
| `MORE_LINK` |
| `JX` |
| `EASY_MAIL` |
| `ADUIEPYLE` |
| `GB_PANTHER` |
| `EXPRESSSALE` |
| `SG_DETRACK` |
| `TRUNKRS_WEBHOOK` |
| `MATDESPATCH` |
| `DICOM` |
| `MBW` |
| `KHM_CAMBODIA_POST` |
| `SINOTRANS` |
| `BRT_IT_PARCELID` |
| `DHL_SUPPLY_CHAIN` |
| `DHL_PL` |
| `TOPYOU` |
| `PALEXPRESS` |
| `DHL_SG` |
| `CN_WEDO` |
| `FULFILLME` |
| `DPD_DELISTRACK` |
| `UPS_REFERENCE` |
| `CARIBOU` |
| `LOCUS_WEBHOOK` |
| `DSV` |
| `CN_GOFLY` |
| `P2P_TRC` |
| `DIRECTPARCELS` |
| `NOVA_POSHTA_INT` |
| `FEDEX_POLAND` |
| `CN_JCEX` |
| `FAR_INTERNATIONAL` |
| `IDEXPRESS` |
| `GANGBAO` |
| `NEWAY` |
| `POSTNL_INT_3_S` |
| `RPX_ID` |
| `DESIGNERTRANSPORT_WEBHOOK` |
| `GLS_SLOVEN` |
| `PARCELLED_IN` |
| `GSI_EXPRESS` |
| `CON_WAY` |
| `BROUWER_TRANSPORT` |
| `CPEX` |
| `ISRAEL_POST` |
| `DTDC_IN` |
| `PTT_POST` |
| `XDE_WEBHOOK` |
| `TOLOS` |
| `GIAO_HANG` |
| `GEODIS_ESPACE` |
| `MAGYAR_HU` |
| `DOORDASH_WEBHOOK` |
| `TIKI_ID` |
| `CJ_HK_INTERNATIONAL` |
| `STAR_TRACK_EXPRESS` |
| `HELTHJEM` |
| `SFB2C` |
| `FREIGHTQUOTE` |
| `LANDMARK_GLOBAL_REFERENCE` |
| `PARCEL2GO` |
| `DELNEXT` |
| `RCL` |
| `CGS_EXPRESS` |
| `HK_POST` |
| `SAP_EXPRESS` |
| `PARCELPOST_SG` |
| `HERMES` |
| `IND_SAFEEXPRESS` |
| `TOPHATTEREXPRESS` |
| `MGLOBAL` |
| `AVERITT` |
| `LEADER` |
| `_2EBOX` |
| `SG_SPEEDPOST` |
| `DBSCHENKER_SE` |
| `ISR_POST_DOMESTIC` |
| `BESTWAYPARCEL` |
| `ASENDIA_DE` |
| `NIGHTLINE_UK` |
| `TAQBIN_SG` |
| `TCK_EXPRESS` |
| `ENDEAVOUR_DELIVERY` |
| `NANJINGWOYUAN` |
| `HEPPNER_FR` |
| `EMPS_CN` |
| `FONSEN` |
| `PICKRR` |
| `APC_OVERNIGHT_CONNUM` |
| `STAR_TRACK_NEXT_FLIGHT` |
| `DAJIN` |
| `UPS_FREIGHT` |
| `POSTA_PLUS` |
| `CEVA` |
| `ANSERX` |
| `JS_EXPRESS` |
| `PADTF` |
| `UPS_MAIL_INNOVATIONS` |
| `EZSHIP` |
| `SYPOST` |
| `AMAZON_SHIP_MCF` |
| `YUSEN` |
| `BRING` |
| `SDA_IT` |
| `GBA` |
| `NEWEGGEXPRESS` |
| `SPEEDCOURIERS_GR` |
| `FORRUN` |
| `PICKUP` |
| `ECMS` |
| `INTELIPOST` |
| `FLASHEXPRESS` |
| `CN_STO` |
| `SEKO_SFTP` |
| `HOME_DELIVERY_SOLUTIONS` |
| `DPD_HGRY` |
| `KERRYTTC_VN` |
| `JOYING_BOX` |
| `TOTAL_EXPRESS` |
| `ZJS_EXPRESS` |
| `STARKEN` |
| `DEMANDSHIP` |
| `CN_DPEX` |
| `AUPOST_CN` |
| `LOGISTERS` |
| `GOGLOBALPOST` |
| `GLS_CZ` |
| `PAACK_WEBHOOK` |
| `GRAB_WEBHOOK` |
| `PARCELPOINT` |
| `ICUMULUS` |
| `DAIGLOBALTRACK` |
| `GLOBAL_IPARCEL` |
| `YURTICI_KARGO` |
| `CN_PAYPAL_PACKAGE` |
| `PARCEL_2_POST` |
| `GLS_IT` |
| `PIL_LOGISTICS` |
| `HEPPNER` |
| `GENERAL_OVERNIGHT` |
| `HAPPY2POINT` |
| `CHITCHATS` |
| `SMOOTH` |
| `CLE_LOGISTICS` |
| `FIEGE` |
| `MX_CARGO` |
| `ZIINGFINALMILE` |
| `DAYTON_FREIGHT` |
| `TCS` |
| `AEX` |
| `HERMES_DE` |
| `ROUTIFIC_WEBHOOK` |
| `GLOBAVEND` |
| `CJ_LOGISTICS` |
| `PALLET_NETWORK` |
| `RAF_PH` |
| `UK_XDP` |
| `PAPER_EXPRESS` |
| `LA_POSTE_SUIVI` |
| `PAQUETEXPRESS` |
| `LIEFERY` |
| `STRECK_TRANSPORT` |
| `PONY_EXPRESS` |
| `ALWAYS_EXPRESS` |
| `GBS_BROKER` |
| `CITYLINK_MY` |
| `ALLJOY` |
| `YODEL` |
| `YODEL_DIR` |
| `STONE3PL` |
| `PARCELPAL_WEBHOOK` |
| `DHL_ECOMERCE_ASA` |
| `SIMPLYPOST` |
| `KY_EXPRESS` |
| `SHENZHEN` |
| `US_LASERSHIP` |
| `UC_EXPRE` |
| `DIDADI` |
| `CJ_KR` |
| `DBSCHENKER_B2B` |
| `MXE` |
| `CAE_DELIVERS` |
| `PFCEXPRESS` |
| `WHISTL` |
| `WEPOST` |
| `DHL_PARCEL_ES` |
| `DDEXPRESS` |
| `ARAMEX_AU` |
| `BNEED` |
| `HK_TGX` |
| `LATVIJAS_PASTS` |
| `VIAEUROPE` |
| `CORREO_UY` |
| `CHRONOPOST_FR` |
| `J_NET` |
| `_6LS` |
| `BLR_BELPOST` |
| `BIRDSYSTEM` |
| `DOBROPOST` |
| `WAHANA_ID` |
| `WEASHIP` |
| `SONICTL` |
| `KWT` |
| `AFLLOG_FTP` |
| `SKYNET_WORLDWIDE` |
| `NOVA_POSHTA` |
| `SEINO` |
| `SZENDEX` |
| `BPOST_INT` |
| `DBSCHENKER_SV` |
| `AO_DEUTSCHLAND` |
| `EU_FLEET_SOLUTIONS` |
| `PCFCORP` |
| `LINKBRIDGE` |
| `PRIMAMULTICIPTA` |
| `COUREX` |
| `ZAJIL_EXPRESS` |
| `COLLECTCO` |
| `JTEXPRESS` |
| `FEDEX_UK` |
| `USHIP` |
| `PIXSELL` |
| `SHIPTOR` |
| `CDEK` |
| `VNM_VIETTELPOST` |
| `CJ_CENTURY` |
| `GSO` |
| `VIWO` |
| `SKYBOX` |
| `KERRYTJ` |
| `NTLOGISTICS_VN` |
| `SDH_SCM` |
| `ZINC` |
| `DPE_SOUTH_AFRC` |
| `CESKA_CZ` |
| `ACS_GR` |
| `DEALERSEND` |
| `JOCOM` |
| `CSE` |
| `TFORCE_FINALMILE` |
| `SHIP_GATE` |
| `SHIPTER` |
| `NATIONAL_SAMEDAY` |
| `YUNEXPRESS` |
| `CAINIAO` |
| `DMS_MATRIX` |
| `DIRECTLOG` |
| `ASENDIA_US` |
| `_3JMSLOGISTICS` |
| `LICCARDI_EXPRESS` |
| `SKY_POSTAL` |
| `CNWANGTONG` |
| `POSTNORD_LOGISTICS_DK` |
| `LOGISTIKA` |
| `CELERITAS` |
| `PRESSIODE` |
| `SHREE_MARUTI` |
| `LOGISTICSWORLDWIDE_HK` |
| `EFEX` |
| `LOTTE` |
| `LONESTAR` |
| `APRISAEXPRESS` |
| `BEL_RS` |
| `OSM_WORLDWIDE` |
| `WESTGATE_GL` |
| `FASTRACK` |
| `DTD_EXPR` |
| `ALFATREX` |
| `PROMEDDELIVERY` |
| `THABIT_LOGISTICS` |
| `HCT_LOGISTICS` |
| `CARRY_FLAP` |
| `US_OLD_DOMINION` |
| `ANICAM_BOX` |
| `WANBEXPRESS` |
| `AN_POST` |
| `DPD_LOCAL` |
| `STALLIONEXPRESS` |
| `RAIDEREX` |
| `SHOPFANS` |
| `KYUNGDONG_PARCEL` |
| `CHAMPION_LOGISTICS` |
| `PICKUPP_SGP` |
| `MORNING_EXPRESS` |
| `NACEX` |
| `THENILE_WEBHOOK` |
| `HOLISOL` |
| `LBCEXPRESS_FTP` |
| `KURASI` |
| `USF_REDDAWAY` |
| `APG` |
| `CN_BOXC` |
| `ECOSCOOTING` |
| `MAINWAY` |
| `PAPERFLY` |
| `HOUNDEXPRESS` |
| `BOX_BERRY` |
| `EP_BOX` |
| `PLUS_LOG_UK` |
| `FULFILLA` |
| `ASE` |
| `MAIL_PLUS` |
| `XPO_LOGISTICS` |
| `WNDIRECT` |
| `CLOUDWISH_ASIA` |
| `ZELERIS` |
| `GIO_EXPRESS` |
| `OCS_WORLDWIDE` |
| `ARK_LOGISTICS` |
| `AQUILINE` |
| `PILOT_FREIGHT` |
| `QWINTRY` |
| `DANSKE_FRAGT` |
| `CARRIERS` |
| `AIR_CANADA_GLOBAL` |
| `PRESIDENT_TRANS` |
| `STEPFORWARDFS` |
| `SKYNET_UK` |
| `PITTOHIO` |
| `CORREOS_EXPRESS` |
| `RL_US` |
| `MARA_XPRESS` |
| `DESTINY` |
| `UK_YODEL` |
| `COMET_TECH` |
| `DHL_PARCEL_RU` |
| `TNT_REFR` |
| `SHREE_ANJANI_COURIER` |
| `MIKROPAKKET_BE` |
| `ETS_EXPRESS` |
| `COLIS_PRIVE` |
| `CN_YUNDA` |
| `AAA_COOPER` |
| `ROCKET_PARCEL` |
| `_360LION` |
| `PANDU` |
| `PROFESSIONAL_COURIERS` |
| `FLYTEXPRESS` |
| `LOGISTICSWORLDWIDE_MY` |
| `CORREOS_DE_ESPANA` |
| `IMX` |
| `FOUR_PX_EXPRESS` |
| `XPRESSBEES` |
| `PICKUPP_VNM` |
| `STARTRACK_EXPRESS1` |
| `FR_COLISSIMO` |
| `NACEX_SPAIN_REFERENCE` |
| `DHL_SUPPLY_CHAIN_AU` |
| `ESHIPPING` |
| `SHREETIRUPATI` |
| `HX_EXPRESS` |
| `INDOPAKET` |
| `CN_17POST` |
| `K1_EXPRESS` |
| `CJ_GLS` |
| `MYS_GDEX` |
| `NATIONEX` |
| `ANJUN` |
| `FARGOOD` |
| `SMG_EXPRESS` |
| `RZYEXPRESS` |
| `SEFL` |
| `TNT_CLICK_IT` |
| `HDB` |
| `HIPSHIPPER` |
| `RPXLOGISTICS` |
| `KUEHNE` |
| `IT_NEXIVE` |
| `PTS` |
| `SWISS_POST_FTP` |
| `FASTRK_SERV` |
| `_4_72` |
| `US_YRC` |
| `POSTNL_INTL_3S` |
| `ELIAN_POST` |
| `CUBYN` |
| `SAU_SAUDI_POST` |
| `ABXEXPRESS_MY` |
| `HUAHAN_EXPRESS` |
| `IND_JAYONEXPRESS` |
| `ZES_EXPRESS` |
| `ZEPTO_EXPRESS` |
| `SKYNET_ZA` |
| `ZEEK_2_DOOR` |
| `BLINKLASTMILE` |
| `POSTA_UKR` |
| `CHROBINSON` |
| `CN_POST56` |
| `COURANT_PLUS` |
| `SCUDEX_EXPRESS` |
| `SHIPENTEGRA` |
| `B_TWO_C_EUROPE` |
| `COPE` |
| `IND_GATI` |
| `CN_WISHPOST` |
| `NACEX_ES` |
| `TAQBIN_HK` |
| `GLOBALTRANZ` |
| `HKD` |
| `BJSHOMEDELIVERY` |
| `OMNIVA` |
| `SUTTON` |
| `PANTHER_REFERENCE` |
| `SFCSERVICE` |
| `LTL` |
| `PARKNPARCEL` |
| `SPRING_GDS` |
| `ECEXPRESS` |
| `INTERPARCEL_AU` |
| `AGILITY` |
| `XL_EXPRESS` |
| `ADERONLINE` |
| `DIRECTCOURIERS` |
| `PLANZER` |
| `SENDING` |
| `NINJAVAN_WB` |
| `NATIONWIDE_MY` |
| `SENDIT` |
| `GB_ARROW` |
| `IND_GOJAVAS` |
| `KPOST` |
| `DHL_FREIGHT` |
| `BLUECARE` |
| `JINDOUYUN` |
| `TRACKON` |
| `GB_TUFFNELLS` |
| `TRUMPCARD` |
| `ETOTAL` |
| `SFPLUS_WEBHOOK` |
| `SEKOLOGISTICS` |
| `HERMES_2MANN_HANDLING` |
| `DPD_LOCAL_REF` |
| `UDS` |
| `ZA_SPECIALISED_FREIGHT` |
| `THA_KERRY` |
| `PRT_INT_SEUR` |
| `BRA_CORREIOS` |
| `NZ_NZ_POST` |
| `CN_EQUICK` |
| `MYS_EMS` |
| `GB_NORSK` |
| `ESP_MRW` |
| `ESP_PACKLINK` |
| `KANGAROO_MY` |
| `RPX` |
| `XDP_UK_REFERENCE` |
| `NINJAVAN_MY` |
| `ADICIONAL` |
| `NINJAVAN_ID` |
| `ROADBULL` |
| `YAKIT` |
| `MAILAMERICAS` |
| `MIKROPAKKET` |
| `DYNALOGIC` |
| `DHL_ES` |
| `DHL_PARCEL_NL` |
| `DHL_GLOBAL_MAIL_ASIA` |
| `DAWN_WING` |
| `GENIKI_GR` |
| `HERMESWORLD_UK` |
| `ALPHAFAST` |
| `BUYLOGIC` |
| `EKART` |
| `MEX_SENDA` |
| `SFC_LOGISTICS` |
| `POST_SERBIA` |
| `IND_DELHIVERY` |
| `DE_DPD_DELISTRACK` |
| `RPD2MAN` |
| `CN_SF_EXPRESS` |
| `YANWEN` |
| `MYS_SKYNET` |
| `CORREOS_DE_MEXICO` |
| `CBL_LOGISTICA` |
| `MEX_ESTAFETA` |
| `AU_AUSTRIAN_POST` |
| `RINCOS` |
| `NLD_DHL` |
| `RUSSIAN_POST` |
| `COURIERS_PLEASE` |
| `POSTNORD_LOGISTICS` |
| `FEDEX` |
| `DPE_EXPRESS` |
| `DPD` |
| `ADSONE` |
| `IDN_JNE` |
| `THECOURIERGUY` |
| `CNEXPS` |
| `PRT_CHRONOPOST` |
| `LANDMARK_GLOBAL` |
| `IT_DHL_ECOMMERCE` |
| `ESP_NACEX` |
| `PRT_CTT` |
| `BE_KIALA` |
| `ASENDIA_UK` |
| `GLOBAL_TNT` |
| `POSTUR_IS` |
| `EPARCEL_KR` |
| `INPOST_PACZKOMATY` |
| `IT_POSTE_ITALIA` |
| `BE_BPOST` |
| `PL_POCZTA_POLSKA` |
| `MYS_MYS_POST` |
| `SG_SG_POST` |
| `THA_THAILAND_POST` |
| `LEXSHIP` |
| `FASTWAY_NZ` |
| `DHL_AU` |
| `COSTMETICSNOW` |
| `PFLOGISTICS` |
| `LOOMIS_EXPRESS` |
| `GLS_ITALY` |
| `LINE` |
| `GEL_EXPRESS` |
| `HUODULL` |
| `NINJAVAN_SG` |
| `JANIO` |
| `AO_COURIER` |
| `BRT_IT_SENDER_REF` |
| `SAILPOST` |
| `LALAMOVE` |
| `NEWZEALAND_COURIERS` |
| `ETOMARS` |
| `VIRTRANSPORT` |
| `WIZMO` |
| `PALLETWAYS` |
| `I_DIKA` |
| `CFL_LOGISTICS` |
| `GEMWORLDWIDE` |
| `GLOBAL_EXPRESS` |
| `LOGISTYX_TRANSGROUP` |
| `WESTBANK_COURIER` |
| `ARCO_SPEDIZIONI` |
| `YDH_EXPRESS` |
| `PARCELINKLOGISTICS` |
| `CNDEXPRESS` |
| `NOX_NIGHT_TIME_EXPRESS` |
| `AERONET` |
| `LTIANEXP` |
| `INTEGRA2_FTP` |
| `PARCELONE` |
| `NOX_NACHTEXPRESS` |
| `CN_CHINA_POST_EMS` |
| `CHUKOU1` |
| `GLS_SLOV` |
| `ORANGE_DS` |
| `JOOM_LOGIS` |
| `AUS_STARTRACK` |
| `DHL` |
| `GB_APC` |
| `BONDSCOURIERS` |
| `JPN_JAPAN_POST` |
| `USPS` |
| `WINIT` |
| `ARG_OCA` |
| `TW_TAIWAN_POST` |
| `DMM_NETWORK` |
| `TNT` |
| `BH_POSTA` |
| `SWE_POSTNORD` |
| `CA_CANADA_POST` |
| `WISELOADS` |
| `ASENDIA_HK` |
| `NLD_GLS` |
| `MEX_REDPACK` |
| `JET_SHIP` |
| `DE_DHL_EXPRESS` |
| `NINJAVAN_THAI` |
| `RABEN_GROUP` |
| `ESP_ASM` |
| `HRV_HRVATSKA` |
| `GLOBAL_ESTES` |
| `LTU_LIETUVOS` |
| `BEL_DHL` |
| `AU_AU_POST` |
| `SPEEDEXCOURIER` |
| `FR_COLIS` |
| `ARAMEX` |
| `DPEX` |
| `MYS_AIRPAK` |
| `CUCKOOEXPRESS` |
| `DPD_POLAND` |
| `NLD_POSTNL` |
| `NIM_EXPRESS` |
| `QUANTIUM` |
| `SENDLE` |
| `ESP_REDUR` |
| `MATKAHUOLTO` |
| `CPACKET` |
| `POSTI` |
| `HUNTER_EXPRESS` |
| `CHOIR_EXP` |
| `LEGION_EXPRESS` |
| `AUSTRIAN_POST_EXPRESS` |
| `GRUPO` |
| `POSTA_RO` |
| `INTERPARCEL_UK` |
| `GLOBAL_ABF` |
| `POSTEN_NORGE` |
| `XPERT_DELIVERY` |
| `DHL_REFR` |
| `DHL_HK` |
| `SKYNET_UAE` |
| `GOJEK` |
| `YODEL_INTNL` |
| `JANCO` |
| `YTO` |
| `WISE_EXPRESS` |
| `JTEXPRESS_VN` |
| `FEDEX_INTL_MLSERV` |
| `VAMOX` |
| `AMS_GRP` |
| `DHL_JP` |
| `HRPARCEL` |
| `GESWL` |
| `BLUESTAR` |
| `CDEK_TR` |
| `DESCARTES` |
| `DELTEC_UK` |
| `DTDC_EXPRESS` |
| `TOURLINE` |
| `BH_WORLDWIDE` |
| `OCS` |
| `YINGNUO_LOGISTICS` |
| `UPS` |
| `TOLL` |
| `PRT_SEUR` |
| `DTDC_AU` |
| `THA_DYNAMIC_LOGISTICS` |
| `UBI_LOGISTICS` |
| `FEDEX_CROSSBORDER` |
| `A1POST` |
| `TAZMANIAN_FREIGHT` |
| `CJ_INT_MY` |
| `SAIA_FREIGHT` |
| `SG_QXPRESS` |
| `NHANS_SOLUTIONS` |
| `DPD_FR` |
| `COORDINADORA` |
| `ANDREANI` |
| `DOORA` |
| `INTERPARCEL_NZ` |
| `PHL_JAMEXPRESS` |
| `BEL_BELGIUM_POST` |
| `US_APC` |
| `IDN_POS` |
| `FR_MONDIAL` |
| `DE_DHL` |
| `HK_RPX` |
| `DHL_PIECEID` |
| `VNPOST_EMS` |
| `RRDONNELLEY` |
| `DPD_DE` |
| `DELCART_IN` |
| `IMEXGLOBALSOLUTIONS` |
| `ACOMMERCE` |
| `EURODIS` |
| `CANPAR` |
| `GLS` |
| `IND_ECOM` |
| `ESP_ENVIALIA` |
| `DHL_UK` |
| `SMSA_EXPRESS` |
| `TNT_FR` |
| `DEX_I` |
| `BUDBEE_WEBHOOK` |
| `COPA_COURIER` |
| `VNM_VIETNAM_POST` |
| `DPD_HK` |
| `TOLL_NZ` |
| `ECHO_` |
| `FEDEX_FR` |
| `BORDEREXPRESS` |
| `MAILPLUS_JPN` |
| `TNT_UK_REFR` |
| `KEC` |
| `DPD_RO` |
| `TNT_JP` |
| `TH_CJ` |
| `EC_CN` |
| `FASTWAY_UK` |
| `FASTWAY_US` |
| `GLS_DE` |
| `GLS_ES` |
| `GLS_FR` |
| `MONDIAL_BE` |
| `SGT_IT` |
| `TNT_CN` |
| `TNT_DE` |
| `TNT_ES` |
| `TNT_PL` |
| `PARCELFORCE` |
| `SWISS_POST` |
| `TOLL_IPEC` |
| `AIR_21` |
| `AIRSPEED` |
| `BERT` |
| `BLUEDART` |
| `COLLECTPLUS` |
| `COURIERPLUS` |
| `COURIER_POST` |
| `DHL_GLOBAL_MAIL` |
| `DPD_UK` |
| `DELTEC_DE` |
| `DEUTSCHE_DE` |
| `DOTZOT` |
| `ELTA_GR` |
| `EMS_CN` |
| `ECARGO` |
| `ENSENDA` |
| `FERCAM_IT` |
| `FASTWAY_ZA` |
| `FASTWAY_AU` |
| `FIRST_LOGISITCS` |
| `GEODIS` |
| `GLOBEGISTICS` |
| `GREYHOUND` |
| `JETSHIP_MY` |
| `LION_PARCEL` |
| `AEROFLASH` |
| `ONTRAC` |
| `SAGAWA` |
| `SIODEMKA` |
| `STARTRACK` |
| `TNT_AU` |
| `TNT_IT` |
| `TRANSMISSION` |
| `YAMATO` |
| `DHL_IT` |
| `DHL_AT` |
| `LOGISTICSWORLDWIDE_KR` |
| `GLS_SPAIN` |
| `AMAZON_UK_API` |
| `DPD_FR_REFERENCE` |
| `DHLPARCEL_UK` |
| `MEGASAVE` |
| `QUALITYPOST` |
| `IDS_LOGISTICS` |
| `JOYINGBOX1` |
| `PANTHER_ORDER_NUMBER` |
| `WATKINS_SHEPARD` |
| `FASTTRACK` |
| `UP_EXPRESS` |
| `ELOGISTICA` |
| `ECOURIER` |
| `CJ_PHILIPPINES` |
| `SPEEDEX` |
| `ORANGECONNEX` |
| `TECOR` |
| `SAEE` |
| `GLS_ITALY_FTP` |
| `DELIVERE` |
| `YYCOM` |
| `ADICIONAL_PT` |
| `DKSH` |
| `NIPPON_EXPRESS_FTP` |
| `GOLS` |
| `FUJEXP` |
| `QTRACK` |
| `OMLOGISTICS_API` |
| `GDPHARM` |
| `MISUMI_CN` |
| `AIR_CANADA` |
| `CITY56_WEBHOOK` |
| `SAGAWA_API` |
| `KEDAEX` |
| `PGEON_API` |
| `WEWORLDEXPRESS` |
| `JT_LOGISTICS` |
| `TRUSK` |
| `VIAXPRESS` |
| `DHL_SUPPLYCHAIN_ID` |
| `ZUELLIGPHARMA_SFTP` |
| `MEEST` |
| `TOLL_PRIORITY` |
| `MOTHERSHIP_API` |
| `CAPITAL` |
| `EUROPAKET_API` |
| `HFD` |
| `TOURLINE_REFERENCE` |
| `GIO_ECOURIER` |
| `CN_LOGISTICS` |
| `PANDION` |
| `BPOST_API` |
| `PASSPORTSHIPPING` |
| `PAKAJO` |
| `DACHSER` |
| `YUSEN_SFTP` |
| `SHYPLITE` |
| `XYY` |
| `MWD` |
| `FAXECARGO` |
| `MAZET` |
| `FIRST_LOGISTICS_API` |
| `SPRINT_PACK` |
| `HERMES_DE_FTP` |
| `CONCISE` |
| `KERRY_EXPRESS_TW_API` |
| `EWE` |
| `FASTDESPATCH` |
| `ABCUSTOM_SFTP` |
| `CHAZKI` |
| `SHIPPIE` |
| `GEODIS_API` |
| `NAQEL_EXPRESS` |
| `PAPA_WEBHOOK` |
| `FORWARDAIR` |
| `DIALOGO_LOGISTICA_API` |
| `LALAMOVE_API` |
| `TOMYDOOR` |
| `KRONOS_WEBHOOK` |
| `JTCARGO` |
| `T_CAT` |
| `CONCISE_WEBHOOK` |
| `TELEPORT_WEBHOOK` |
| `CUSTOMCO_API` |
| `SPX_TH` |
| `BOLLORE_LOGISTICS` |
| `CLICKLINK_SFTP` |
| `M3LOGISTICS` |
| `VNPOST_API` |
| `AXLEHIRE_FTP` |
| `SHADOWFAX` |
| `MYHERMES_UK_API` |
| `DAIICHI` |
| `MENSAJEROSURBANOS_API` |
| `POLARSPEED` |
| `IDEXPRESS_ID` |
| `PAYO` |
| `WHISTL_SFTP` |
| `INTEX_DE` |
| `TRANS2U` |
| `PRODUCTCAREGROUP_SFTP` |
| `BIGSMART` |
| `EXPEDITORS_API_REF` |
| `AITWORLDWIDE_API` |
| `WORLDCOURIER` |
| `QUIQUP` |
| `AGEDISS_SFTP` |
| `ANDREANI_API` |
| `CRLEXPRESS` |
| `SMARTCAT` |
| `CROSSFLIGHT` |
| `PROCARRIER` |
| `DHL_REFERENCE_API` |
| `SEINO_API` |
| `WSPEXPRESS` |
| `KRONOS` |
| `TOTAL_EXPRESS_API` |
| `PARCLL` |
| `XPEDIGO` |
| `STAR_TRACK_WEBHOOK` |
| `GPOST` |
| `UCS` |
| `DMFGROUP` |
| `COORDINADORA_API` |
| `MARKEN` |
| `NTL` |
| `REDJEPAKKETJE` |
| `ALLIED_EXPRESS_FTP` |
| `MONDIALRELAY_ES` |
| `NAEKO_FTP` |
| `MHI` |
| `SHIPPIFY` |
| `MALCA_AMIT_API` |
| `JTEXPRESS_SG_API` |
| `DACHSER_WEB` |
| `FLIGHTLG` |
| `CAGO` |
| `COM1EXPRESS` |
| `TONAMI_FTP` |
| `PACKFLEET` |
| `PUROLATOR_INTERNATIONAL` |
| `WINESHIPPING_WEBHOOK` |
| `DHL_ES_SFTP` |
| `PCHOME_API` |
| `CESKAPOSTA_API` |
| `GORUSH` |
| `HOMERUNNER` |
| `AMAZON_ORDER` |
| `EFWNOW_API` |
| `CBL_LOGISTICA_API` |
| `NIMBUSPOST` |
| `LOGWIN_LOGISTICS` |
| `NOWLOG_API` |
| `DPD_NL` |
| `GODEPENDABLE` |
| `ESDEX` |
| `LOGISYSTEMS_SFTP` |
| `EXPEDITORS` |
| `SNTGLOBAL_API` |
| `SHIPX` |
| `QINTL_API` |
| `PACKS` |
| `POSTNL_INTERNATIONAL` |
| `AMAZON_EMAIL_PUSH` |
| `DHL_API` |
| `SPX` |
| `AXLEHIRE` |
| `ICSCOURIER` |
| `DIALOGO_LOGISTICA` |
| `SHUNBANG_EXPRESS` |
| `TCS_API` |
| `SF_EXPRESS_CN` |
| `PACKETA` |
| `SIC_TELIWAY` |
| `MONDIALRELAY_FR` |
| `INTIME_FTP` |
| `JD_EXPRESS` |
| `FASTBOX` |
| `PATHEON` |
| `INDIA_POST` |
| `TIPSA_REF` |
| `ECOFREIGHT` |
| `VOX` |
| `DIRECTFREIGHT_AU_REF` |
| `BESTTRANSPORT_SFTP` |
| `AUSTRALIA_POST_API` |
| `FRAGILEPAK_SFTP` |
| `FLIPXP` |
| `VALUE_WEBHOOK` |
| `DAESHIN` |
| `SHERPA` |
| `MWD_API` |
| `SMARTKARGO` |
| `DNJ_EXPRESS` |
| `GOPEOPLE` |
| `MYSENDLE_API` |
| `ARAMEX_API` |
| `PIDGE` |
| `THAIPARCELS` |
| `PANTHER_REFERENCE_API` |
| `POSTAPLUS1` |
| `BUFFALO` |
| `U_ENVIOS` |
| `ELITE_CO` |
| `BARQEXP` |
| `ROCHE_INTERNAL_SFTP` |
| `DBSCHENKER_ICELAND` |
| `TNT_FR_REFERENCE` |
| `NEWGISTICSAPI` |
| `GLOVO` |
| `GWLOGIS_API` |
| `SPREETAIL_API` |
| `MOOVA` |
| `PLYCONGROUP` |
| `USPS_WEBHOOK` |
| `REIMAGINEDELIVERY` |
| `EDF_FTP` |
| `DAO365` |
| `BIOCAIR_FTP` |
| `RANSA_WEBHOOK` |
| `SHIPXPRES` |
| `COURANT_PLUS_API` |
| `SHIPA` |
| `HOMELOGISTICS` |
| `DX` |
| `POSTE_ITALIANE_PACCOCELERE` |
| `TOLL_WEBHOOK` |
| `LCTBR_API` |
| `DX_FREIGHT` |
| `DHL_SFTP` |
| `SHIPROCKET` |
| `UBER_WEBHOOK` |
| `STATOVERNIGHT` |
| `BURD` |
| `FASTSHIP` |
| `IBVENTURE_WEBHOOK` |
| `GATI_KWE_API` |
| `CRYOPDP_FTP` |
| `HUBBED` |
| `TIPSA_API` |
| `ARASKARGO` |
| `THIJS_NL` |
| `ATSHEALTHCARE_REFERENCE` |
| `ENUM_99MINUTOS` |
| `HELLENIC_POST` |
| `HSM_GLOBAL` |
| `MNX` |
| `NMTRANSFER` |
| `LOGYSTO` |
| `INDIA_POST_INT` |
| `AMAZON_FBA_SWISHIP_IN` |
| `SRT_TRANSPORT` |
| `BOMI` |
| `DELIVERR_SFTP` |
| `HSDEXPRESS` |
| `SIMPLETIRE_WEBHOOK` |
| `HUNTER_EXPRESS_SFTP` |
| `UPS_API` |
| `WOOYOUNG_LOGISTICS_SFTP` |
| `PHSE_API` |
| `WISH_EMAIL_PUSH` |
| `NORTHLINE` |
| `MEDAFRICA` |
| `DPD_AT_SFTP` |
| `ANTERAJA` |
| `DHL_GLOBAL_FORWARDING_API` |
| `LBCEXPRESS_API` |
| `SIMSGLOBAL` |
| `CDLDELIVERS` |
| `TYP` |
| `TESTING_COURIER_WEBHOOK` |
| `PANDAGO_API` |
| `ROYAL_MAIL_FTP` |
| `THUNDEREXPRESS` |
| `SECRETLAB_WEBHOOK` |
| `SETEL` |
| `JD_WORLDWIDE` |
| `DPD_RU_API` |
| `ARGENTS_WEBHOOK` |
| `POSTONE` |
| `TUSKLOGISTICS` |
| `RHENUS_UK_API` |
| `TAQBIN_SG_API` |
| `INNTRALOG_SFTP` |
| `DAYROSS` |
| `CORREOSEXPRESS_API` |
| `INTERNATIONAL_SEUR_API` |
| `YODEL_API` |
| `HEROEXPRESS` |
| `DHL_SUPPLYCHAIN_IN` |
| `URGENT_CARGUS` |
| `FRONTDOORCORP` |
| `JTEXPRESS_PH` |
| `PARCELSTARS_WEBHOOK` |
| `DPD_SK_SFTP` |
| `MOVIANTO` |
| `OZEPARTS_SHIPPING` |
| `KARGOMKOLAY` |
| `TRUNKRS` |
| `OMNIRPS_WEBHOOK` |
| `CHILEXPRESS` |
| `TESTING_COURIER` |
| `JNE_API` |
| `BJSHOMEDELIVERY_FTP` |
| `DEXPRESS_WEBHOOK` |
| `USPS_API` |
| `TRANSVIRTUAL` |
| `SOLISTICA_API` |
| `CHIENVENTURE_WEBHOOK` |
| `DPD_UK_SFTP` |
| `INPOST_UK` |
| `JAVIT` |
| `ZTO_DOMESTIC` |
| `DHL_GT_API` |
| `CEVA_TRACKING` |
| `KOMON_EXPRESS` |
| `EASTWESTCOURIER_FTP` |
| `DANNIAO` |
| `SPECTRAN` |
| `DELIVER_IT` |
| `RELAISCOLIS` |
| `GLS_SPAIN_API` |
| `POSTPLUS` |
| `AIRTERRA` |
| `GIO_ECOURIER_API` |
| `DPD_CH_SFTP` |
| `FEDEX_API` |
| `INTERSMARTTRANS` |
| `HERMES_UK_SFTP` |
| `EXELOT_FTP` |
| `DHL_PA_API` |
| `VIRTRANSPORT_SFTP` |
| `WORLDNET` |
| `INSTABOX_WEBHOOK` |
| `KNG` |
| `FLASHEXPRESS_WEBHOOK` |
| `MAGYAR_POSTA_API` |
| `WESHIP_API` |
| `OHI_WEBHOOK` |
| `MUDITA` |
| `BLUEDART_API` |
| `T_CAT_API` |
| `ADS` |
| `HERMES_IT` |
| `FITZMARK_API` |
| `POSTI_API` |
| `SMSA_EXPRESS_WEBHOOK` |
| `TAMERGROUP_WEBHOOK` |
| `LIVRAPIDE` |
| `NIPPON_EXPRESS` |
| `BETTERTRUCKS` |
| `FAN` |
| `PB_USPSFLATS_FTP` |
| `PARCELRIGHT` |
| `ITHINKLOGISTICS` |
| `KERRY_EXPRESS_TH_WEBHOOK` |
| `ECOUTIER` |
| `SHOWL` |
| `BRT_IT_API` |
| `RIXONHK_API` |
| `DBSCHENKER_API` |
| `ILYANGLOGIS` |
| `MAIL_BOX_ETC` |
| `WESHIP` |
| `DHL_GLOBAL_MAIL_API` |
| `ACTIVOS24_API` |
| `ATSHEALTHCARE` |
| `LUWJISTIK` |
| `GW_WORLD` |
| `FAIRSENDEN_API` |
| `SERVIP_WEBHOOK` |
| `SWISHIP` |
| `TANET` |
| `HOTSIN_CARGO` |
| `DIREX` |
| `HUANTONG` |
| `IMILE_API` |
| `BDMNET` |
| `AUEXPRESS` |
| `NYTLOGISTICS` |
| `DSV_REFERENCE` |
| `NOVOFARMA_WEBHOOK` |
| `AITWORLDWIDE_SFTP` |
| `SHOPOLIVE` |
| `FNF_ZA` |
| `DHL_ECOMMERCE_GC` |
| `FETCHR` |
| `STARLINKS_API` |
| `YYEXPRESS` |
| `SERVIENTREGA` |
| `HANJIN` |
| `SPANISH_SEUR_FTP` |
| `DX_B2B_CONNUM` |
| `HELTHJEM_API` |
| `INEXPOST` |
| `A2B_BA` |
| `RHENUS_GROUP` |
| `SBERLOGISTICS_RU` |
| `MALCA_AMIT` |
| `PPL` |
| `OSM_WORLDWIDE_SFTP` |
| `ACILOGISTIX` |
| `OPTIMACOURIER` |
| `NOVA_POSHTA_API` |
| `LOGGI` |
| `YIFAN` |
| `MYDYNALOGIC` |
| `MORNINGLOBAL` |
| `CONCISE_API` |
| `FXTRAN` |
| `DELIVERYOURPARCEL_ZA` |
| `UPARCEL` |
| `MOBI_BR` |
| `LOGINEXT_WEBHOOK` |
| `EMS` |
| `SPEEDY` |

