<?php

declare(strict_types=1);

/*
 * PaypalServerSdkLib
 *
 * This file was automatically generated by APIMATIC v3.0 ( https://www.apimatic.io ).
 */

namespace PaypalServerSdkLib\Models;

use Core\Utils\CoreHelper;
use Exception;
use stdClass;

/**
 * The status of the captured payment.
 */
class CaptureStatus
{
    public const COMPLETED = 'COMPLETED';

    public const DECLINED = 'DECLINED';

    public const PARTIALLY_REFUNDED = 'PARTIALLY_REFUNDED';

    public const PENDING = 'PENDING';

    public const REFUNDED = 'REFUNDED';

    public const FAILED = 'FAILED';

    private const _ALL_VALUES =
        [self::COMPLETED, self::DECLINED, self::PARTIALLY_REFUNDED, self::PENDING, self::REFUNDED, self::FAILED];

    /**
     * Ensures that all the given values are present in this Enum.
     *
     * @param array|stdClass|null|string $value Value or a list/map of values to be checked
     *
     * @return array|null|string Input value(s), if all are a part of this Enum
     *
     * @throws Exception Throws exception if any given value is not in this Enum
     */
    public static function checkValue($value)
    {
        $value = json_decode(json_encode($value), true); // converts stdClass into array
        if (CoreHelper::checkValueOrValuesInList($value, self::_ALL_VALUES)) {
            return $value;
        }
        throw new Exception("$value is invalid for CaptureStatus.");
    }
}
