<?php

declare(strict_types=1);

/*
 * PaypalServerSdkLib
 *
 * This file was automatically generated by APIMATIC v3.0 ( https://www.apimatic.io ).
 */

namespace PaypalServerSdkLib\Models;

use Core\Utils\CoreHelper;
use Exception;
use stdClass;

/**
 * The method used for card verification.
 */
class CardVerificationMethod
{
    public const SCA_ALWAYS = 'SCA_ALWAYS';

    public const SCA_WHEN_REQUIRED = 'SCA_WHEN_REQUIRED';

    public const ENUM_3D_SECURE = '3D_SECURE';

    public const AVS_CVV = 'AVS_CVV';

    private const _ALL_VALUES = [self::SCA_ALWAYS, self::SCA_WHEN_REQUIRED, self::ENUM_3D_SECURE, self::AVS_CVV];

    /**
     * Ensures that all the given values are present in this Enum.
     *
     * @param array|stdClass|null|string $value Value or a list/map of values to be checked
     *
     * @return array|null|string Input value(s), if all are a part of this Enum
     *
     * @throws Exception Throws exception if any given value is not in this Enum
     */
    public static function checkValue($value)
    {
        $value = json_decode(json_encode($value), true); // converts stdClass into array
        if (CoreHelper::checkValueOrValuesInList($value, self::_ALL_VALUES)) {
            return $value;
        }
        throw new Exception("$value is invalid for CardVerificationMethod.");
    }
}
