<?php

declare(strict_types=1);

/*
 * PaypalServerSdkLib
 *
 * This file was automatically generated by APIMATIC v3.0 ( https://www.apimatic.io ).
 */

namespace PaypalServerSdkLib\Models;

use Core\Utils\CoreHelper;
use Exception;
use stdClass;

/**
 * The carrier for the shipment. Some carriers have a global version as well as local subsidiaries. The
 * subsidiaries are repeated over many countries and might also have an entry in the global list.
 * Choose the carrier for your country. If the carrier is not available for your country, choose the
 * global version of the carrier. If your carrier name is not in the list, set `carrier` to `OTHER` and
 * set carrier name in `carrier_name_other`. For allowed values, see <a
 * href="/docs/tracking/reference/carriers/">Carriers</a>.
 */
class ShipmentCarrier
{
    public const DPD_RU = 'DPD_RU';

    public const BG_BULGARIAN_POST = 'BG_BULGARIAN_POST';

    public const KR_KOREA_POST = 'KR_KOREA_POST';

    public const ZA_COURIERIT = 'ZA_COURIERIT';

    public const FR_EXAPAQ = 'FR_EXAPAQ';

    public const ARE_EMIRATES_POST = 'ARE_EMIRATES_POST';

    public const GAC = 'GAC';

    public const GEIS = 'GEIS';

    public const SF_EX = 'SF_EX';

    public const PAGO = 'PAGO';

    public const MYHERMES = 'MYHERMES';

    public const DIAMOND_EUROGISTICS = 'DIAMOND_EUROGISTICS';

    public const CORPORATECOURIERS_WEBHOOK = 'CORPORATECOURIERS_WEBHOOK';

    public const BOND = 'BOND';

    public const OMNIPARCEL = 'OMNIPARCEL';

    public const SK_POSTA = 'SK_POSTA';

    public const PUROLATOR = 'PUROLATOR';

    public const FETCHR_WEBHOOK = 'FETCHR_WEBHOOK';

    public const THEDELIVERYGROUP = 'THEDELIVERYGROUP';

    public const CELLO_SQUARE = 'CELLO_SQUARE';

    public const TARRIVE = 'TARRIVE';

    public const COLLIVERY = 'COLLIVERY';

    public const MAINFREIGHT = 'MAINFREIGHT';

    public const IND_FIRSTFLIGHT = 'IND_FIRSTFLIGHT';

    public const ACSWORLDWIDE = 'ACSWORLDWIDE';

    public const AMSTAN = 'AMSTAN';

    public const OKAYPARCEL = 'OKAYPARCEL';

    public const ENVIALIA_REFERENCE = 'ENVIALIA_REFERENCE';

    public const SEUR_ES = 'SEUR_ES';

    public const CONTINENTAL = 'CONTINENTAL';

    public const FDSEXPRESS = 'FDSEXPRESS';

    public const AMAZON_FBA_SWISHIP = 'AMAZON_FBA_SWISHIP';

    public const WYNGS = 'WYNGS';

    public const DHL_ACTIVE_TRACING = 'DHL_ACTIVE_TRACING';

    public const ZYLLEM = 'ZYLLEM';

    public const RUSTON = 'RUSTON';

    public const XPOST = 'XPOST';

    public const CORREOS_ES = 'CORREOS_ES';

    public const DHL_FR = 'DHL_FR';

    public const PAN_ASIA = 'PAN_ASIA';

    public const BRT_IT = 'BRT_IT';

    public const SRE_KOREA = 'SRE_KOREA';

    public const SPEEDEE = 'SPEEDEE';

    public const TNT_UK = 'TNT_UK';

    public const VENIPAK = 'VENIPAK';

    public const SHREENANDANCOURIER = 'SHREENANDANCOURIER';

    public const CROSHOT = 'CROSHOT';

    public const NIPOST_NG = 'NIPOST_NG';

    public const EPST_GLBL = 'EPST_GLBL';

    public const NEWGISTICS = 'NEWGISTICS';

    public const POST_SLOVENIA = 'POST_SLOVENIA';

    public const JERSEY_POST = 'JERSEY_POST';

    public const BOMBINOEXP = 'BOMBINOEXP';

    public const WMG = 'WMG';

    public const XQ_EXPRESS = 'XQ_EXPRESS';

    public const FURDECO = 'FURDECO';

    public const LHT_EXPRESS = 'LHT_EXPRESS';

    public const SOUTH_AFRICAN_POST_OFFICE = 'SOUTH_AFRICAN_POST_OFFICE';

    public const SPOTON = 'SPOTON';

    public const DIMERCO = 'DIMERCO';

    public const CYPRUS_POST_CYP = 'CYPRUS_POST_CYP';

    public const ABCUSTOM = 'ABCUSTOM';

    public const IND_DELIVREE = 'IND_DELIVREE';

    public const CN_BESTEXPRESS = 'CN_BESTEXPRESS';

    public const DX_SFTP = 'DX_SFTP';

    public const PICKUPP_MYS = 'PICKUPP_MYS';

    public const FMX = 'FMX';

    public const HELLMANN = 'HELLMANN';

    public const SHIP_IT_ASIA = 'SHIP_IT_ASIA';

    public const KERRY_ECOMMERCE = 'KERRY_ECOMMERCE';

    public const FRETERAPIDO = 'FRETERAPIDO';

    public const PITNEY_BOWES = 'PITNEY_BOWES';

    public const XPRESSEN_DK = 'XPRESSEN_DK';

    public const SEUR_SP_API = 'SEUR_SP_API';

    public const DELIVERYONTIME = 'DELIVERYONTIME';

    public const JINSUNG = 'JINSUNG';

    public const TRANS_KARGO = 'TRANS_KARGO';

    public const SWISHIP_DE = 'SWISHIP_DE';

    public const IVOY_WEBHOOK = 'IVOY_WEBHOOK';

    public const AIRMEE_WEBHOOK = 'AIRMEE_WEBHOOK';

    public const DHL_BENELUX = 'DHL_BENELUX';

    public const FIRSTMILE = 'FIRSTMILE';

    public const FASTWAY_IR = 'FASTWAY_IR';

    public const HH_EXP = 'HH_EXP';

    public const MYS_MYPOST_ONLINE = 'MYS_MYPOST_ONLINE';

    public const TNT_NL = 'TNT_NL';

    public const TIPSA = 'TIPSA';

    public const TAQBIN_MY = 'TAQBIN_MY';

    public const KGMHUB = 'KGMHUB';

    public const INTEXPRESS = 'INTEXPRESS';

    public const OVERSE_EXP = 'OVERSE_EXP';

    public const ONECLICK = 'ONECLICK';

    public const ROADRUNNER_FREIGHT = 'ROADRUNNER_FREIGHT';

    public const GLS_CROTIA = 'GLS_CROTIA';

    public const MRW_FTP = 'MRW_FTP';

    public const BLUEX = 'BLUEX';

    public const DYLT = 'DYLT';

    public const DPD_IR = 'DPD_IR';

    public const SIN_GLBL = 'SIN_GLBL';

    public const TUFFNELLS_REFERENCE = 'TUFFNELLS_REFERENCE';

    public const CJPACKET = 'CJPACKET';

    public const MILKMAN = 'MILKMAN';

    public const ASIGNA = 'ASIGNA';

    public const ONEWORLDEXPRESS = 'ONEWORLDEXPRESS';

    public const ROYAL_MAIL = 'ROYAL_MAIL';

    public const VIA_EXPRESS = 'VIA_EXPRESS';

    public const TIGFREIGHT = 'TIGFREIGHT';

    public const ZTO_EXPRESS = 'ZTO_EXPRESS';

    public const TWO_GO = 'TWO_GO';

    public const IML = 'IML';

    public const INTEL_VALLEY = 'INTEL_VALLEY';

    public const EFS = 'EFS';

    public const UK_UK_MAIL = 'UK_UK_MAIL';

    public const RAM = 'RAM';

    public const ALLIEDEXPRESS = 'ALLIEDEXPRESS';

    public const APC_OVERNIGHT = 'APC_OVERNIGHT';

    public const SHIPPIT = 'SHIPPIT';

    public const TFM = 'TFM';

    public const M_XPRESS = 'M_XPRESS';

    public const HDB_BOX = 'HDB_BOX';

    public const CLEVY_LINKS = 'CLEVY_LINKS';

    public const IBEONE = 'IBEONE';

    public const FIEGE_NL = 'FIEGE_NL';

    public const KWE_GLOBAL = 'KWE_GLOBAL';

    public const CTC_EXPRESS = 'CTC_EXPRESS';

    public const LAO_POST = 'LAO_POST';

    public const AMAZON = 'AMAZON';

    public const MORE_LINK = 'MORE_LINK';

    public const JX = 'JX';

    public const EASY_MAIL = 'EASY_MAIL';

    public const ADUIEPYLE = 'ADUIEPYLE';

    public const GB_PANTHER = 'GB_PANTHER';

    public const EXPRESSSALE = 'EXPRESSSALE';

    public const SG_DETRACK = 'SG_DETRACK';

    public const TRUNKRS_WEBHOOK = 'TRUNKRS_WEBHOOK';

    public const MATDESPATCH = 'MATDESPATCH';

    public const DICOM = 'DICOM';

    public const MBW = 'MBW';

    public const KHM_CAMBODIA_POST = 'KHM_CAMBODIA_POST';

    public const SINOTRANS = 'SINOTRANS';

    public const BRT_IT_PARCELID = 'BRT_IT_PARCELID';

    public const DHL_SUPPLY_CHAIN = 'DHL_SUPPLY_CHAIN';

    public const DHL_PL = 'DHL_PL';

    public const TOPYOU = 'TOPYOU';

    public const PALEXPRESS = 'PALEXPRESS';

    public const DHL_SG = 'DHL_SG';

    public const CN_WEDO = 'CN_WEDO';

    public const FULFILLME = 'FULFILLME';

    public const DPD_DELISTRACK = 'DPD_DELISTRACK';

    public const UPS_REFERENCE = 'UPS_REFERENCE';

    public const CARIBOU = 'CARIBOU';

    public const LOCUS_WEBHOOK = 'LOCUS_WEBHOOK';

    public const DSV = 'DSV';

    public const CN_GOFLY = 'CN_GOFLY';

    public const P2P_TRC = 'P2P_TRC';

    public const DIRECTPARCELS = 'DIRECTPARCELS';

    public const NOVA_POSHTA_INT = 'NOVA_POSHTA_INT';

    public const FEDEX_POLAND = 'FEDEX_POLAND';

    public const CN_JCEX = 'CN_JCEX';

    public const FAR_INTERNATIONAL = 'FAR_INTERNATIONAL';

    public const IDEXPRESS = 'IDEXPRESS';

    public const GANGBAO = 'GANGBAO';

    public const NEWAY = 'NEWAY';

    public const POSTNL_INT_3_S = 'POSTNL_INT_3_S';

    public const RPX_ID = 'RPX_ID';

    public const DESIGNERTRANSPORT_WEBHOOK = 'DESIGNERTRANSPORT_WEBHOOK';

    public const GLS_SLOVEN = 'GLS_SLOVEN';

    public const PARCELLED_IN = 'PARCELLED_IN';

    public const GSI_EXPRESS = 'GSI_EXPRESS';

    public const CON_WAY = 'CON_WAY';

    public const BROUWER_TRANSPORT = 'BROUWER_TRANSPORT';

    public const CPEX = 'CPEX';

    public const ISRAEL_POST = 'ISRAEL_POST';

    public const DTDC_IN = 'DTDC_IN';

    public const PTT_POST = 'PTT_POST';

    public const XDE_WEBHOOK = 'XDE_WEBHOOK';

    public const TOLOS = 'TOLOS';

    public const GIAO_HANG = 'GIAO_HANG';

    public const GEODIS_ESPACE = 'GEODIS_ESPACE';

    public const MAGYAR_HU = 'MAGYAR_HU';

    public const DOORDASH_WEBHOOK = 'DOORDASH_WEBHOOK';

    public const TIKI_ID = 'TIKI_ID';

    public const CJ_HK_INTERNATIONAL = 'CJ_HK_INTERNATIONAL';

    public const STAR_TRACK_EXPRESS = 'STAR_TRACK_EXPRESS';

    public const HELTHJEM = 'HELTHJEM';

    public const SFB2C = 'SFB2C';

    public const FREIGHTQUOTE = 'FREIGHTQUOTE';

    public const LANDMARK_GLOBAL_REFERENCE = 'LANDMARK_GLOBAL_REFERENCE';

    public const PARCEL2GO = 'PARCEL2GO';

    public const DELNEXT = 'DELNEXT';

    public const RCL = 'RCL';

    public const CGS_EXPRESS = 'CGS_EXPRESS';

    public const HK_POST = 'HK_POST';

    public const SAP_EXPRESS = 'SAP_EXPRESS';

    public const PARCELPOST_SG = 'PARCELPOST_SG';

    public const HERMES = 'HERMES';

    public const IND_SAFEEXPRESS = 'IND_SAFEEXPRESS';

    public const TOPHATTEREXPRESS = 'TOPHATTEREXPRESS';

    public const MGLOBAL = 'MGLOBAL';

    public const AVERITT = 'AVERITT';

    public const LEADER = 'LEADER';

    public const _2EBOX = '_2EBOX';

    public const SG_SPEEDPOST = 'SG_SPEEDPOST';

    public const DBSCHENKER_SE = 'DBSCHENKER_SE';

    public const ISR_POST_DOMESTIC = 'ISR_POST_DOMESTIC';

    public const BESTWAYPARCEL = 'BESTWAYPARCEL';

    public const ASENDIA_DE = 'ASENDIA_DE';

    public const NIGHTLINE_UK = 'NIGHTLINE_UK';

    public const TAQBIN_SG = 'TAQBIN_SG';

    public const TCK_EXPRESS = 'TCK_EXPRESS';

    public const ENDEAVOUR_DELIVERY = 'ENDEAVOUR_DELIVERY';

    public const NANJINGWOYUAN = 'NANJINGWOYUAN';

    public const HEPPNER_FR = 'HEPPNER_FR';

    public const EMPS_CN = 'EMPS_CN';

    public const FONSEN = 'FONSEN';

    public const PICKRR = 'PICKRR';

    public const APC_OVERNIGHT_CONNUM = 'APC_OVERNIGHT_CONNUM';

    public const STAR_TRACK_NEXT_FLIGHT = 'STAR_TRACK_NEXT_FLIGHT';

    public const DAJIN = 'DAJIN';

    public const UPS_FREIGHT = 'UPS_FREIGHT';

    public const POSTA_PLUS = 'POSTA_PLUS';

    public const CEVA = 'CEVA';

    public const ANSERX = 'ANSERX';

    public const JS_EXPRESS = 'JS_EXPRESS';

    public const PADTF = 'PADTF';

    public const UPS_MAIL_INNOVATIONS = 'UPS_MAIL_INNOVATIONS';

    public const EZSHIP = 'EZSHIP';

    public const SYPOST = 'SYPOST';

    public const AMAZON_SHIP_MCF = 'AMAZON_SHIP_MCF';

    public const YUSEN = 'YUSEN';

    public const BRING = 'BRING';

    public const SDA_IT = 'SDA_IT';

    public const GBA = 'GBA';

    public const NEWEGGEXPRESS = 'NEWEGGEXPRESS';

    public const SPEEDCOURIERS_GR = 'SPEEDCOURIERS_GR';

    public const FORRUN = 'FORRUN';

    public const PICKUP = 'PICKUP';

    public const ECMS = 'ECMS';

    public const INTELIPOST = 'INTELIPOST';

    public const FLASHEXPRESS = 'FLASHEXPRESS';

    public const CN_STO = 'CN_STO';

    public const SEKO_SFTP = 'SEKO_SFTP';

    public const HOME_DELIVERY_SOLUTIONS = 'HOME_DELIVERY_SOLUTIONS';

    public const DPD_HGRY = 'DPD_HGRY';

    public const KERRYTTC_VN = 'KERRYTTC_VN';

    public const JOYING_BOX = 'JOYING_BOX';

    public const TOTAL_EXPRESS = 'TOTAL_EXPRESS';

    public const ZJS_EXPRESS = 'ZJS_EXPRESS';

    public const STARKEN = 'STARKEN';

    public const DEMANDSHIP = 'DEMANDSHIP';

    public const CN_DPEX = 'CN_DPEX';

    public const AUPOST_CN = 'AUPOST_CN';

    public const LOGISTERS = 'LOGISTERS';

    public const GOGLOBALPOST = 'GOGLOBALPOST';

    public const GLS_CZ = 'GLS_CZ';

    public const PAACK_WEBHOOK = 'PAACK_WEBHOOK';

    public const GRAB_WEBHOOK = 'GRAB_WEBHOOK';

    public const PARCELPOINT = 'PARCELPOINT';

    public const ICUMULUS = 'ICUMULUS';

    public const DAIGLOBALTRACK = 'DAIGLOBALTRACK';

    public const GLOBAL_IPARCEL = 'GLOBAL_IPARCEL';

    public const YURTICI_KARGO = 'YURTICI_KARGO';

    public const CN_PAYPAL_PACKAGE = 'CN_PAYPAL_PACKAGE';

    public const PARCEL_2_POST = 'PARCEL_2_POST';

    public const GLS_IT = 'GLS_IT';

    public const PIL_LOGISTICS = 'PIL_LOGISTICS';

    public const HEPPNER = 'HEPPNER';

    public const GENERAL_OVERNIGHT = 'GENERAL_OVERNIGHT';

    public const HAPPY2POINT = 'HAPPY2POINT';

    public const CHITCHATS = 'CHITCHATS';

    public const SMOOTH = 'SMOOTH';

    public const CLE_LOGISTICS = 'CLE_LOGISTICS';

    public const FIEGE = 'FIEGE';

    public const MX_CARGO = 'MX_CARGO';

    public const ZIINGFINALMILE = 'ZIINGFINALMILE';

    public const DAYTON_FREIGHT = 'DAYTON_FREIGHT';

    public const TCS = 'TCS';

    public const AEX = 'AEX';

    public const HERMES_DE = 'HERMES_DE';

    public const ROUTIFIC_WEBHOOK = 'ROUTIFIC_WEBHOOK';

    public const GLOBAVEND = 'GLOBAVEND';

    public const CJ_LOGISTICS = 'CJ_LOGISTICS';

    public const PALLET_NETWORK = 'PALLET_NETWORK';

    public const RAF_PH = 'RAF_PH';

    public const UK_XDP = 'UK_XDP';

    public const PAPER_EXPRESS = 'PAPER_EXPRESS';

    public const LA_POSTE_SUIVI = 'LA_POSTE_SUIVI';

    public const PAQUETEXPRESS = 'PAQUETEXPRESS';

    public const LIEFERY = 'LIEFERY';

    public const STRECK_TRANSPORT = 'STRECK_TRANSPORT';

    public const PONY_EXPRESS = 'PONY_EXPRESS';

    public const ALWAYS_EXPRESS = 'ALWAYS_EXPRESS';

    public const GBS_BROKER = 'GBS_BROKER';

    public const CITYLINK_MY = 'CITYLINK_MY';

    public const ALLJOY = 'ALLJOY';

    public const YODEL = 'YODEL';

    public const YODEL_DIR = 'YODEL_DIR';

    public const STONE3PL = 'STONE3PL';

    public const PARCELPAL_WEBHOOK = 'PARCELPAL_WEBHOOK';

    public const DHL_ECOMERCE_ASA = 'DHL_ECOMERCE_ASA';

    public const SIMPLYPOST = 'SIMPLYPOST';

    public const KY_EXPRESS = 'KY_EXPRESS';

    public const SHENZHEN = 'SHENZHEN';

    public const US_LASERSHIP = 'US_LASERSHIP';

    public const UC_EXPRE = 'UC_EXPRE';

    public const DIDADI = 'DIDADI';

    public const CJ_KR = 'CJ_KR';

    public const DBSCHENKER_B2B = 'DBSCHENKER_B2B';

    public const MXE = 'MXE';

    public const CAE_DELIVERS = 'CAE_DELIVERS';

    public const PFCEXPRESS = 'PFCEXPRESS';

    public const WHISTL = 'WHISTL';

    public const WEPOST = 'WEPOST';

    public const DHL_PARCEL_ES = 'DHL_PARCEL_ES';

    public const DDEXPRESS = 'DDEXPRESS';

    public const ARAMEX_AU = 'ARAMEX_AU';

    public const BNEED = 'BNEED';

    public const HK_TGX = 'HK_TGX';

    public const LATVIJAS_PASTS = 'LATVIJAS_PASTS';

    public const VIAEUROPE = 'VIAEUROPE';

    public const CORREO_UY = 'CORREO_UY';

    public const CHRONOPOST_FR = 'CHRONOPOST_FR';

    public const J_NET = 'J_NET';

    public const _6LS = '_6LS';

    public const BLR_BELPOST = 'BLR_BELPOST';

    public const BIRDSYSTEM = 'BIRDSYSTEM';

    public const DOBROPOST = 'DOBROPOST';

    public const WAHANA_ID = 'WAHANA_ID';

    public const WEASHIP = 'WEASHIP';

    public const SONICTL = 'SONICTL';

    public const KWT = 'KWT';

    public const AFLLOG_FTP = 'AFLLOG_FTP';

    public const SKYNET_WORLDWIDE = 'SKYNET_WORLDWIDE';

    public const NOVA_POSHTA = 'NOVA_POSHTA';

    public const SEINO = 'SEINO';

    public const SZENDEX = 'SZENDEX';

    public const BPOST_INT = 'BPOST_INT';

    public const DBSCHENKER_SV = 'DBSCHENKER_SV';

    public const AO_DEUTSCHLAND = 'AO_DEUTSCHLAND';

    public const EU_FLEET_SOLUTIONS = 'EU_FLEET_SOLUTIONS';

    public const PCFCORP = 'PCFCORP';

    public const LINKBRIDGE = 'LINKBRIDGE';

    public const PRIMAMULTICIPTA = 'PRIMAMULTICIPTA';

    public const COUREX = 'COUREX';

    public const ZAJIL_EXPRESS = 'ZAJIL_EXPRESS';

    public const COLLECTCO = 'COLLECTCO';

    public const JTEXPRESS = 'JTEXPRESS';

    public const FEDEX_UK = 'FEDEX_UK';

    public const USHIP = 'USHIP';

    public const PIXSELL = 'PIXSELL';

    public const SHIPTOR = 'SHIPTOR';

    public const CDEK = 'CDEK';

    public const VNM_VIETTELPOST = 'VNM_VIETTELPOST';

    public const CJ_CENTURY = 'CJ_CENTURY';

    public const GSO = 'GSO';

    public const VIWO = 'VIWO';

    public const SKYBOX = 'SKYBOX';

    public const KERRYTJ = 'KERRYTJ';

    public const NTLOGISTICS_VN = 'NTLOGISTICS_VN';

    public const SDH_SCM = 'SDH_SCM';

    public const ZINC = 'ZINC';

    public const DPE_SOUTH_AFRC = 'DPE_SOUTH_AFRC';

    public const CESKA_CZ = 'CESKA_CZ';

    public const ACS_GR = 'ACS_GR';

    public const DEALERSEND = 'DEALERSEND';

    public const JOCOM = 'JOCOM';

    public const CSE = 'CSE';

    public const TFORCE_FINALMILE = 'TFORCE_FINALMILE';

    public const SHIP_GATE = 'SHIP_GATE';

    public const SHIPTER = 'SHIPTER';

    public const NATIONAL_SAMEDAY = 'NATIONAL_SAMEDAY';

    public const YUNEXPRESS = 'YUNEXPRESS';

    public const CAINIAO = 'CAINIAO';

    public const DMS_MATRIX = 'DMS_MATRIX';

    public const DIRECTLOG = 'DIRECTLOG';

    public const ASENDIA_US = 'ASENDIA_US';

    public const _3JMSLOGISTICS = '_3JMSLOGISTICS';

    public const LICCARDI_EXPRESS = 'LICCARDI_EXPRESS';

    public const SKY_POSTAL = 'SKY_POSTAL';

    public const CNWANGTONG = 'CNWANGTONG';

    public const POSTNORD_LOGISTICS_DK = 'POSTNORD_LOGISTICS_DK';

    public const LOGISTIKA = 'LOGISTIKA';

    public const CELERITAS = 'CELERITAS';

    public const PRESSIODE = 'PRESSIODE';

    public const SHREE_MARUTI = 'SHREE_MARUTI';

    public const LOGISTICSWORLDWIDE_HK = 'LOGISTICSWORLDWIDE_HK';

    public const EFEX = 'EFEX';

    public const LOTTE = 'LOTTE';

    public const LONESTAR = 'LONESTAR';

    public const APRISAEXPRESS = 'APRISAEXPRESS';

    public const BEL_RS = 'BEL_RS';

    public const OSM_WORLDWIDE = 'OSM_WORLDWIDE';

    public const WESTGATE_GL = 'WESTGATE_GL';

    public const FASTRACK = 'FASTRACK';

    public const DTD_EXPR = 'DTD_EXPR';

    public const ALFATREX = 'ALFATREX';

    public const PROMEDDELIVERY = 'PROMEDDELIVERY';

    public const THABIT_LOGISTICS = 'THABIT_LOGISTICS';

    public const HCT_LOGISTICS = 'HCT_LOGISTICS';

    public const CARRY_FLAP = 'CARRY_FLAP';

    public const US_OLD_DOMINION = 'US_OLD_DOMINION';

    public const ANICAM_BOX = 'ANICAM_BOX';

    public const WANBEXPRESS = 'WANBEXPRESS';

    public const AN_POST = 'AN_POST';

    public const DPD_LOCAL = 'DPD_LOCAL';

    public const STALLIONEXPRESS = 'STALLIONEXPRESS';

    public const RAIDEREX = 'RAIDEREX';

    public const SHOPFANS = 'SHOPFANS';

    public const KYUNGDONG_PARCEL = 'KYUNGDONG_PARCEL';

    public const CHAMPION_LOGISTICS = 'CHAMPION_LOGISTICS';

    public const PICKUPP_SGP = 'PICKUPP_SGP';

    public const MORNING_EXPRESS = 'MORNING_EXPRESS';

    public const NACEX = 'NACEX';

    public const THENILE_WEBHOOK = 'THENILE_WEBHOOK';

    public const HOLISOL = 'HOLISOL';

    public const LBCEXPRESS_FTP = 'LBCEXPRESS_FTP';

    public const KURASI = 'KURASI';

    public const USF_REDDAWAY = 'USF_REDDAWAY';

    public const APG = 'APG';

    public const CN_BOXC = 'CN_BOXC';

    public const ECOSCOOTING = 'ECOSCOOTING';

    public const MAINWAY = 'MAINWAY';

    public const PAPERFLY = 'PAPERFLY';

    public const HOUNDEXPRESS = 'HOUNDEXPRESS';

    public const BOX_BERRY = 'BOX_BERRY';

    public const EP_BOX = 'EP_BOX';

    public const PLUS_LOG_UK = 'PLUS_LOG_UK';

    public const FULFILLA = 'FULFILLA';

    public const ASE = 'ASE';

    public const MAIL_PLUS = 'MAIL_PLUS';

    public const XPO_LOGISTICS = 'XPO_LOGISTICS';

    public const WNDIRECT = 'WNDIRECT';

    public const CLOUDWISH_ASIA = 'CLOUDWISH_ASIA';

    public const ZELERIS = 'ZELERIS';

    public const GIO_EXPRESS = 'GIO_EXPRESS';

    public const OCS_WORLDWIDE = 'OCS_WORLDWIDE';

    public const ARK_LOGISTICS = 'ARK_LOGISTICS';

    public const AQUILINE = 'AQUILINE';

    public const PILOT_FREIGHT = 'PILOT_FREIGHT';

    public const QWINTRY = 'QWINTRY';

    public const DANSKE_FRAGT = 'DANSKE_FRAGT';

    public const CARRIERS = 'CARRIERS';

    public const AIR_CANADA_GLOBAL = 'AIR_CANADA_GLOBAL';

    public const PRESIDENT_TRANS = 'PRESIDENT_TRANS';

    public const STEPFORWARDFS = 'STEPFORWARDFS';

    public const SKYNET_UK = 'SKYNET_UK';

    public const PITTOHIO = 'PITTOHIO';

    public const CORREOS_EXPRESS = 'CORREOS_EXPRESS';

    public const RL_US = 'RL_US';

    public const MARA_XPRESS = 'MARA_XPRESS';

    public const DESTINY = 'DESTINY';

    public const UK_YODEL = 'UK_YODEL';

    public const COMET_TECH = 'COMET_TECH';

    public const DHL_PARCEL_RU = 'DHL_PARCEL_RU';

    public const TNT_REFR = 'TNT_REFR';

    public const SHREE_ANJANI_COURIER = 'SHREE_ANJANI_COURIER';

    public const MIKROPAKKET_BE = 'MIKROPAKKET_BE';

    public const ETS_EXPRESS = 'ETS_EXPRESS';

    public const COLIS_PRIVE = 'COLIS_PRIVE';

    public const CN_YUNDA = 'CN_YUNDA';

    public const AAA_COOPER = 'AAA_COOPER';

    public const ROCKET_PARCEL = 'ROCKET_PARCEL';

    public const _360LION = '_360LION';

    public const PANDU = 'PANDU';

    public const PROFESSIONAL_COURIERS = 'PROFESSIONAL_COURIERS';

    public const FLYTEXPRESS = 'FLYTEXPRESS';

    public const LOGISTICSWORLDWIDE_MY = 'LOGISTICSWORLDWIDE_MY';

    public const CORREOS_DE_ESPANA = 'CORREOS_DE_ESPANA';

    public const IMX = 'IMX';

    public const FOUR_PX_EXPRESS = 'FOUR_PX_EXPRESS';

    public const XPRESSBEES = 'XPRESSBEES';

    public const PICKUPP_VNM = 'PICKUPP_VNM';

    public const STARTRACK_EXPRESS1 = 'STARTRACK_EXPRESS';

    public const FR_COLISSIMO = 'FR_COLISSIMO';

    public const NACEX_SPAIN_REFERENCE = 'NACEX_SPAIN_REFERENCE';

    public const DHL_SUPPLY_CHAIN_AU = 'DHL_SUPPLY_CHAIN_AU';

    public const ESHIPPING = 'ESHIPPING';

    public const SHREETIRUPATI = 'SHREETIRUPATI';

    public const HX_EXPRESS = 'HX_EXPRESS';

    public const INDOPAKET = 'INDOPAKET';

    public const CN_17POST = 'CN_17POST';

    public const K1_EXPRESS = 'K1_EXPRESS';

    public const CJ_GLS = 'CJ_GLS';

    public const MYS_GDEX = 'MYS_GDEX';

    public const NATIONEX = 'NATIONEX';

    public const ANJUN = 'ANJUN';

    public const FARGOOD = 'FARGOOD';

    public const SMG_EXPRESS = 'SMG_EXPRESS';

    public const RZYEXPRESS = 'RZYEXPRESS';

    public const SEFL = 'SEFL';

    public const TNT_CLICK_IT = 'TNT_CLICK_IT';

    public const HDB = 'HDB';

    public const HIPSHIPPER = 'HIPSHIPPER';

    public const RPXLOGISTICS = 'RPXLOGISTICS';

    public const KUEHNE = 'KUEHNE';

    public const IT_NEXIVE = 'IT_NEXIVE';

    public const PTS = 'PTS';

    public const SWISS_POST_FTP = 'SWISS_POST_FTP';

    public const FASTRK_SERV = 'FASTRK_SERV';

    public const _4_72 = '_4_72';

    public const US_YRC = 'US_YRC';

    public const POSTNL_INTL_3S = 'POSTNL_INTL_3S';

    public const ELIAN_POST = 'ELIAN_POST';

    public const CUBYN = 'CUBYN';

    public const SAU_SAUDI_POST = 'SAU_SAUDI_POST';

    public const ABXEXPRESS_MY = 'ABXEXPRESS_MY';

    public const HUAHAN_EXPRESS = 'HUAHAN_EXPRESS';

    public const IND_JAYONEXPRESS = 'IND_JAYONEXPRESS';

    public const ZES_EXPRESS = 'ZES_EXPRESS';

    public const ZEPTO_EXPRESS = 'ZEPTO_EXPRESS';

    public const SKYNET_ZA = 'SKYNET_ZA';

    public const ZEEK_2_DOOR = 'ZEEK_2_DOOR';

    public const BLINKLASTMILE = 'BLINKLASTMILE';

    public const POSTA_UKR = 'POSTA_UKR';

    public const CHROBINSON = 'CHROBINSON';

    public const CN_POST56 = 'CN_POST56';

    public const COURANT_PLUS = 'COURANT_PLUS';

    public const SCUDEX_EXPRESS = 'SCUDEX_EXPRESS';

    public const SHIPENTEGRA = 'SHIPENTEGRA';

    public const B_TWO_C_EUROPE = 'B_TWO_C_EUROPE';

    public const COPE = 'COPE';

    public const IND_GATI = 'IND_GATI';

    public const CN_WISHPOST = 'CN_WISHPOST';

    public const NACEX_ES = 'NACEX_ES';

    public const TAQBIN_HK = 'TAQBIN_HK';

    public const GLOBALTRANZ = 'GLOBALTRANZ';

    public const HKD = 'HKD';

    public const BJSHOMEDELIVERY = 'BJSHOMEDELIVERY';

    public const OMNIVA = 'OMNIVA';

    public const SUTTON = 'SUTTON';

    public const PANTHER_REFERENCE = 'PANTHER_REFERENCE';

    public const SFCSERVICE = 'SFCSERVICE';

    public const LTL = 'LTL';

    public const PARKNPARCEL = 'PARKNPARCEL';

    public const SPRING_GDS = 'SPRING_GDS';

    public const ECEXPRESS = 'ECEXPRESS';

    public const INTERPARCEL_AU = 'INTERPARCEL_AU';

    public const AGILITY = 'AGILITY';

    public const XL_EXPRESS = 'XL_EXPRESS';

    public const ADERONLINE = 'ADERONLINE';

    public const DIRECTCOURIERS = 'DIRECTCOURIERS';

    public const PLANZER = 'PLANZER';

    public const SENDING = 'SENDING';

    public const NINJAVAN_WB = 'NINJAVAN_WB';

    public const NATIONWIDE_MY = 'NATIONWIDE_MY';

    public const SENDIT = 'SENDIT';

    public const GB_ARROW = 'GB_ARROW';

    public const IND_GOJAVAS = 'IND_GOJAVAS';

    public const KPOST = 'KPOST';

    public const DHL_FREIGHT = 'DHL_FREIGHT';

    public const BLUECARE = 'BLUECARE';

    public const JINDOUYUN = 'JINDOUYUN';

    public const TRACKON = 'TRACKON';

    public const GB_TUFFNELLS = 'GB_TUFFNELLS';

    public const TRUMPCARD = 'TRUMPCARD';

    public const ETOTAL = 'ETOTAL';

    public const SFPLUS_WEBHOOK = 'SFPLUS_WEBHOOK';

    public const SEKOLOGISTICS = 'SEKOLOGISTICS';

    public const HERMES_2MANN_HANDLING = 'HERMES_2MANN_HANDLING';

    public const DPD_LOCAL_REF = 'DPD_LOCAL_REF';

    public const UDS = 'UDS';

    public const ZA_SPECIALISED_FREIGHT = 'ZA_SPECIALISED_FREIGHT';

    public const THA_KERRY = 'THA_KERRY';

    public const PRT_INT_SEUR = 'PRT_INT_SEUR';

    public const BRA_CORREIOS = 'BRA_CORREIOS';

    public const NZ_NZ_POST = 'NZ_NZ_POST';

    public const CN_EQUICK = 'CN_EQUICK';

    public const MYS_EMS = 'MYS_EMS';

    public const GB_NORSK = 'GB_NORSK';

    public const ESP_MRW = 'ESP_MRW';

    public const ESP_PACKLINK = 'ESP_PACKLINK';

    public const KANGAROO_MY = 'KANGAROO_MY';

    public const RPX = 'RPX';

    public const XDP_UK_REFERENCE = 'XDP_UK_REFERENCE';

    public const NINJAVAN_MY = 'NINJAVAN_MY';

    public const ADICIONAL = 'ADICIONAL';

    public const NINJAVAN_ID = 'NINJAVAN_ID';

    public const ROADBULL = 'ROADBULL';

    public const YAKIT = 'YAKIT';

    public const MAILAMERICAS = 'MAILAMERICAS';

    public const MIKROPAKKET = 'MIKROPAKKET';

    public const DYNALOGIC = 'DYNALOGIC';

    public const DHL_ES = 'DHL_ES';

    public const DHL_PARCEL_NL = 'DHL_PARCEL_NL';

    public const DHL_GLOBAL_MAIL_ASIA = 'DHL_GLOBAL_MAIL_ASIA';

    public const DAWN_WING = 'DAWN_WING';

    public const GENIKI_GR = 'GENIKI_GR';

    public const HERMESWORLD_UK = 'HERMESWORLD_UK';

    public const ALPHAFAST = 'ALPHAFAST';

    public const BUYLOGIC = 'BUYLOGIC';

    public const EKART = 'EKART';

    public const MEX_SENDA = 'MEX_SENDA';

    public const SFC_LOGISTICS = 'SFC_LOGISTICS';

    public const POST_SERBIA = 'POST_SERBIA';

    public const IND_DELHIVERY = 'IND_DELHIVERY';

    public const DE_DPD_DELISTRACK = 'DE_DPD_DELISTRACK';

    public const RPD2MAN = 'RPD2MAN';

    public const CN_SF_EXPRESS = 'CN_SF_EXPRESS';

    public const YANWEN = 'YANWEN';

    public const MYS_SKYNET = 'MYS_SKYNET';

    public const CORREOS_DE_MEXICO = 'CORREOS_DE_MEXICO';

    public const CBL_LOGISTICA = 'CBL_LOGISTICA';

    public const MEX_ESTAFETA = 'MEX_ESTAFETA';

    public const AU_AUSTRIAN_POST = 'AU_AUSTRIAN_POST';

    public const RINCOS = 'RINCOS';

    public const NLD_DHL = 'NLD_DHL';

    public const RUSSIAN_POST = 'RUSSIAN_POST';

    public const COURIERS_PLEASE = 'COURIERS_PLEASE';

    public const POSTNORD_LOGISTICS = 'POSTNORD_LOGISTICS';

    public const FEDEX = 'FEDEX';

    public const DPE_EXPRESS = 'DPE_EXPRESS';

    public const DPD = 'DPD';

    public const ADSONE = 'ADSONE';

    public const IDN_JNE = 'IDN_JNE';

    public const THECOURIERGUY = 'THECOURIERGUY';

    public const CNEXPS = 'CNEXPS';

    public const PRT_CHRONOPOST = 'PRT_CHRONOPOST';

    public const LANDMARK_GLOBAL = 'LANDMARK_GLOBAL';

    public const IT_DHL_ECOMMERCE = 'IT_DHL_ECOMMERCE';

    public const ESP_NACEX = 'ESP_NACEX';

    public const PRT_CTT = 'PRT_CTT';

    public const BE_KIALA = 'BE_KIALA';

    public const ASENDIA_UK = 'ASENDIA_UK';

    public const GLOBAL_TNT = 'GLOBAL_TNT';

    public const POSTUR_IS = 'POSTUR_IS';

    public const EPARCEL_KR = 'EPARCEL_KR';

    public const INPOST_PACZKOMATY = 'INPOST_PACZKOMATY';

    public const IT_POSTE_ITALIA = 'IT_POSTE_ITALIA';

    public const BE_BPOST = 'BE_BPOST';

    public const PL_POCZTA_POLSKA = 'PL_POCZTA_POLSKA';

    public const MYS_MYS_POST = 'MYS_MYS_POST';

    public const SG_SG_POST = 'SG_SG_POST';

    public const THA_THAILAND_POST = 'THA_THAILAND_POST';

    public const LEXSHIP = 'LEXSHIP';

    public const FASTWAY_NZ = 'FASTWAY_NZ';

    public const DHL_AU = 'DHL_AU';

    public const COSTMETICSNOW = 'COSTMETICSNOW';

    public const PFLOGISTICS = 'PFLOGISTICS';

    public const LOOMIS_EXPRESS = 'LOOMIS_EXPRESS';

    public const GLS_ITALY = 'GLS_ITALY';

    public const LINE = 'LINE';

    public const GEL_EXPRESS = 'GEL_EXPRESS';

    public const HUODULL = 'HUODULL';

    public const NINJAVAN_SG = 'NINJAVAN_SG';

    public const JANIO = 'JANIO';

    public const AO_COURIER = 'AO_COURIER';

    public const BRT_IT_SENDER_REF = 'BRT_IT_SENDER_REF';

    public const SAILPOST = 'SAILPOST';

    public const LALAMOVE = 'LALAMOVE';

    public const NEWZEALAND_COURIERS = 'NEWZEALAND_COURIERS';

    public const ETOMARS = 'ETOMARS';

    public const VIRTRANSPORT = 'VIRTRANSPORT';

    public const WIZMO = 'WIZMO';

    public const PALLETWAYS = 'PALLETWAYS';

    public const I_DIKA = 'I_DIKA';

    public const CFL_LOGISTICS = 'CFL_LOGISTICS';

    public const GEMWORLDWIDE = 'GEMWORLDWIDE';

    public const GLOBAL_EXPRESS = 'GLOBAL_EXPRESS';

    public const LOGISTYX_TRANSGROUP = 'LOGISTYX_TRANSGROUP';

    public const WESTBANK_COURIER = 'WESTBANK_COURIER';

    public const ARCO_SPEDIZIONI = 'ARCO_SPEDIZIONI';

    public const YDH_EXPRESS = 'YDH_EXPRESS';

    public const PARCELINKLOGISTICS = 'PARCELINKLOGISTICS';

    public const CNDEXPRESS = 'CNDEXPRESS';

    public const NOX_NIGHT_TIME_EXPRESS = 'NOX_NIGHT_TIME_EXPRESS';

    public const AERONET = 'AERONET';

    public const LTIANEXP = 'LTIANEXP';

    public const INTEGRA2_FTP = 'INTEGRA2_FTP';

    public const PARCELONE = 'PARCELONE';

    public const NOX_NACHTEXPRESS = 'NOX_NACHTEXPRESS';

    public const CN_CHINA_POST_EMS = 'CN_CHINA_POST_EMS';

    public const CHUKOU1 = 'CHUKOU1';

    public const GLS_SLOV = 'GLS_SLOV';

    public const ORANGE_DS = 'ORANGE_DS';

    public const JOOM_LOGIS = 'JOOM_LOGIS';

    public const AUS_STARTRACK = 'AUS_STARTRACK';

    public const DHL = 'DHL';

    public const GB_APC = 'GB_APC';

    public const BONDSCOURIERS = 'BONDSCOURIERS';

    public const JPN_JAPAN_POST = 'JPN_JAPAN_POST';

    public const USPS = 'USPS';

    public const WINIT = 'WINIT';

    public const ARG_OCA = 'ARG_OCA';

    public const TW_TAIWAN_POST = 'TW_TAIWAN_POST';

    public const DMM_NETWORK = 'DMM_NETWORK';

    public const TNT = 'TNT';

    public const BH_POSTA = 'BH_POSTA';

    public const SWE_POSTNORD = 'SWE_POSTNORD';

    public const CA_CANADA_POST = 'CA_CANADA_POST';

    public const WISELOADS = 'WISELOADS';

    public const ASENDIA_HK = 'ASENDIA_HK';

    public const NLD_GLS = 'NLD_GLS';

    public const MEX_REDPACK = 'MEX_REDPACK';

    public const JET_SHIP = 'JET_SHIP';

    public const DE_DHL_EXPRESS = 'DE_DHL_EXPRESS';

    public const NINJAVAN_THAI = 'NINJAVAN_THAI';

    public const RABEN_GROUP = 'RABEN_GROUP';

    public const ESP_ASM = 'ESP_ASM';

    public const HRV_HRVATSKA = 'HRV_HRVATSKA';

    public const GLOBAL_ESTES = 'GLOBAL_ESTES';

    public const LTU_LIETUVOS = 'LTU_LIETUVOS';

    public const BEL_DHL = 'BEL_DHL';

    public const AU_AU_POST = 'AU_AU_POST';

    public const SPEEDEXCOURIER = 'SPEEDEXCOURIER';

    public const FR_COLIS = 'FR_COLIS';

    public const ARAMEX = 'ARAMEX';

    public const DPEX = 'DPEX';

    public const MYS_AIRPAK = 'MYS_AIRPAK';

    public const CUCKOOEXPRESS = 'CUCKOOEXPRESS';

    public const DPD_POLAND = 'DPD_POLAND';

    public const NLD_POSTNL = 'NLD_POSTNL';

    public const NIM_EXPRESS = 'NIM_EXPRESS';

    public const QUANTIUM = 'QUANTIUM';

    public const SENDLE = 'SENDLE';

    public const ESP_REDUR = 'ESP_REDUR';

    public const MATKAHUOLTO = 'MATKAHUOLTO';

    public const CPACKET = 'CPACKET';

    public const POSTI = 'POSTI';

    public const HUNTER_EXPRESS = 'HUNTER_EXPRESS';

    public const CHOIR_EXP = 'CHOIR_EXP';

    public const LEGION_EXPRESS = 'LEGION_EXPRESS';

    public const AUSTRIAN_POST_EXPRESS = 'AUSTRIAN_POST_EXPRESS';

    public const GRUPO = 'GRUPO';

    public const POSTA_RO = 'POSTA_RO';

    public const INTERPARCEL_UK = 'INTERPARCEL_UK';

    public const GLOBAL_ABF = 'GLOBAL_ABF';

    public const POSTEN_NORGE = 'POSTEN_NORGE';

    public const XPERT_DELIVERY = 'XPERT_DELIVERY';

    public const DHL_REFR = 'DHL_REFR';

    public const DHL_HK = 'DHL_HK';

    public const SKYNET_UAE = 'SKYNET_UAE';

    public const GOJEK = 'GOJEK';

    public const YODEL_INTNL = 'YODEL_INTNL';

    public const JANCO = 'JANCO';

    public const YTO = 'YTO';

    public const WISE_EXPRESS = 'WISE_EXPRESS';

    public const JTEXPRESS_VN = 'JTEXPRESS_VN';

    public const FEDEX_INTL_MLSERV = 'FEDEX_INTL_MLSERV';

    public const VAMOX = 'VAMOX';

    public const AMS_GRP = 'AMS_GRP';

    public const DHL_JP = 'DHL_JP';

    public const HRPARCEL = 'HRPARCEL';

    public const GESWL = 'GESWL';

    public const BLUESTAR = 'BLUESTAR';

    public const CDEK_TR = 'CDEK_TR';

    public const DESCARTES = 'DESCARTES';

    public const DELTEC_UK = 'DELTEC_UK';

    public const DTDC_EXPRESS = 'DTDC_EXPRESS';

    public const TOURLINE = 'TOURLINE';

    public const BH_WORLDWIDE = 'BH_WORLDWIDE';

    public const OCS = 'OCS';

    public const YINGNUO_LOGISTICS = 'YINGNUO_LOGISTICS';

    public const UPS = 'UPS';

    public const TOLL = 'TOLL';

    public const PRT_SEUR = 'PRT_SEUR';

    public const DTDC_AU = 'DTDC_AU';

    public const THA_DYNAMIC_LOGISTICS = 'THA_DYNAMIC_LOGISTICS';

    public const UBI_LOGISTICS = 'UBI_LOGISTICS';

    public const FEDEX_CROSSBORDER = 'FEDEX_CROSSBORDER';

    public const A1POST = 'A1POST';

    public const TAZMANIAN_FREIGHT = 'TAZMANIAN_FREIGHT';

    public const CJ_INT_MY = 'CJ_INT_MY';

    public const SAIA_FREIGHT = 'SAIA_FREIGHT';

    public const SG_QXPRESS = 'SG_QXPRESS';

    public const NHANS_SOLUTIONS = 'NHANS_SOLUTIONS';

    public const DPD_FR = 'DPD_FR';

    public const COORDINADORA = 'COORDINADORA';

    public const ANDREANI = 'ANDREANI';

    public const DOORA = 'DOORA';

    public const INTERPARCEL_NZ = 'INTERPARCEL_NZ';

    public const PHL_JAMEXPRESS = 'PHL_JAMEXPRESS';

    public const BEL_BELGIUM_POST = 'BEL_BELGIUM_POST';

    public const US_APC = 'US_APC';

    public const IDN_POS = 'IDN_POS';

    public const FR_MONDIAL = 'FR_MONDIAL';

    public const DE_DHL = 'DE_DHL';

    public const HK_RPX = 'HK_RPX';

    public const DHL_PIECEID = 'DHL_PIECEID';

    public const VNPOST_EMS = 'VNPOST_EMS';

    public const RRDONNELLEY = 'RRDONNELLEY';

    public const DPD_DE = 'DPD_DE';

    public const DELCART_IN = 'DELCART_IN';

    public const IMEXGLOBALSOLUTIONS = 'IMEXGLOBALSOLUTIONS';

    public const ACOMMERCE = 'ACOMMERCE';

    public const EURODIS = 'EURODIS';

    public const CANPAR = 'CANPAR';

    public const GLS = 'GLS';

    public const IND_ECOM = 'IND_ECOM';

    public const ESP_ENVIALIA = 'ESP_ENVIALIA';

    public const DHL_UK = 'DHL_UK';

    public const SMSA_EXPRESS = 'SMSA_EXPRESS';

    public const TNT_FR = 'TNT_FR';

    public const DEX_I = 'DEX_I';

    public const BUDBEE_WEBHOOK = 'BUDBEE_WEBHOOK';

    public const COPA_COURIER = 'COPA_COURIER';

    public const VNM_VIETNAM_POST = 'VNM_VIETNAM_POST';

    public const DPD_HK = 'DPD_HK';

    public const TOLL_NZ = 'TOLL_NZ';

    public const ECHO_ = 'ECHO';

    public const FEDEX_FR = 'FEDEX_FR';

    public const BORDEREXPRESS = 'BORDEREXPRESS';

    public const MAILPLUS_JPN = 'MAILPLUS_JPN';

    public const TNT_UK_REFR = 'TNT_UK_REFR';

    public const KEC = 'KEC';

    public const DPD_RO = 'DPD_RO';

    public const TNT_JP = 'TNT_JP';

    public const TH_CJ = 'TH_CJ';

    public const EC_CN = 'EC_CN';

    public const FASTWAY_UK = 'FASTWAY_UK';

    public const FASTWAY_US = 'FASTWAY_US';

    public const GLS_DE = 'GLS_DE';

    public const GLS_ES = 'GLS_ES';

    public const GLS_FR = 'GLS_FR';

    public const MONDIAL_BE = 'MONDIAL_BE';

    public const SGT_IT = 'SGT_IT';

    public const TNT_CN = 'TNT_CN';

    public const TNT_DE = 'TNT_DE';

    public const TNT_ES = 'TNT_ES';

    public const TNT_PL = 'TNT_PL';

    public const PARCELFORCE = 'PARCELFORCE';

    public const SWISS_POST = 'SWISS_POST';

    public const TOLL_IPEC = 'TOLL_IPEC';

    public const AIR_21 = 'AIR_21';

    public const AIRSPEED = 'AIRSPEED';

    public const BERT = 'BERT';

    public const BLUEDART = 'BLUEDART';

    public const COLLECTPLUS = 'COLLECTPLUS';

    public const COURIERPLUS = 'COURIERPLUS';

    public const COURIER_POST = 'COURIER_POST';

    public const DHL_GLOBAL_MAIL = 'DHL_GLOBAL_MAIL';

    public const DPD_UK = 'DPD_UK';

    public const DELTEC_DE = 'DELTEC_DE';

    public const DEUTSCHE_DE = 'DEUTSCHE_DE';

    public const DOTZOT = 'DOTZOT';

    public const ELTA_GR = 'ELTA_GR';

    public const EMS_CN = 'EMS_CN';

    public const ECARGO = 'ECARGO';

    public const ENSENDA = 'ENSENDA';

    public const FERCAM_IT = 'FERCAM_IT';

    public const FASTWAY_ZA = 'FASTWAY_ZA';

    public const FASTWAY_AU = 'FASTWAY_AU';

    public const FIRST_LOGISITCS = 'FIRST_LOGISITCS';

    public const GEODIS = 'GEODIS';

    public const GLOBEGISTICS = 'GLOBEGISTICS';

    public const GREYHOUND = 'GREYHOUND';

    public const JETSHIP_MY = 'JETSHIP_MY';

    public const LION_PARCEL = 'LION_PARCEL';

    public const AEROFLASH = 'AEROFLASH';

    public const ONTRAC = 'ONTRAC';

    public const SAGAWA = 'SAGAWA';

    public const SIODEMKA = 'SIODEMKA';

    public const STARTRACK = 'STARTRACK';

    public const TNT_AU = 'TNT_AU';

    public const TNT_IT = 'TNT_IT';

    public const TRANSMISSION = 'TRANSMISSION';

    public const YAMATO = 'YAMATO';

    public const DHL_IT = 'DHL_IT';

    public const DHL_AT = 'DHL_AT';

    public const LOGISTICSWORLDWIDE_KR = 'LOGISTICSWORLDWIDE_KR';

    public const GLS_SPAIN = 'GLS_SPAIN';

    public const AMAZON_UK_API = 'AMAZON_UK_API';

    public const DPD_FR_REFERENCE = 'DPD_FR_REFERENCE';

    public const DHLPARCEL_UK = 'DHLPARCEL_UK';

    public const MEGASAVE = 'MEGASAVE';

    public const QUALITYPOST = 'QUALITYPOST';

    public const IDS_LOGISTICS = 'IDS_LOGISTICS';

    public const JOYINGBOX1 = 'JOYINGBOX';

    public const PANTHER_ORDER_NUMBER = 'PANTHER_ORDER_NUMBER';

    public const WATKINS_SHEPARD = 'WATKINS_SHEPARD';

    public const FASTTRACK = 'FASTTRACK';

    public const UP_EXPRESS = 'UP_EXPRESS';

    public const ELOGISTICA = 'ELOGISTICA';

    public const ECOURIER = 'ECOURIER';

    public const CJ_PHILIPPINES = 'CJ_PHILIPPINES';

    public const SPEEDEX = 'SPEEDEX';

    public const ORANGECONNEX = 'ORANGECONNEX';

    public const TECOR = 'TECOR';

    public const SAEE = 'SAEE';

    public const GLS_ITALY_FTP = 'GLS_ITALY_FTP';

    public const DELIVERE = 'DELIVERE';

    public const YYCOM = 'YYCOM';

    public const ADICIONAL_PT = 'ADICIONAL_PT';

    public const DKSH = 'DKSH';

    public const NIPPON_EXPRESS_FTP = 'NIPPON_EXPRESS_FTP';

    public const GOLS = 'GOLS';

    public const FUJEXP = 'FUJEXP';

    public const QTRACK = 'QTRACK';

    public const OMLOGISTICS_API = 'OMLOGISTICS_API';

    public const GDPHARM = 'GDPHARM';

    public const MISUMI_CN = 'MISUMI_CN';

    public const AIR_CANADA = 'AIR_CANADA';

    public const CITY56_WEBHOOK = 'CITY56_WEBHOOK';

    public const SAGAWA_API = 'SAGAWA_API';

    public const KEDAEX = 'KEDAEX';

    public const PGEON_API = 'PGEON_API';

    public const WEWORLDEXPRESS = 'WEWORLDEXPRESS';

    public const JT_LOGISTICS = 'JT_LOGISTICS';

    public const TRUSK = 'TRUSK';

    public const VIAXPRESS = 'VIAXPRESS';

    public const DHL_SUPPLYCHAIN_ID = 'DHL_SUPPLYCHAIN_ID';

    public const ZUELLIGPHARMA_SFTP = 'ZUELLIGPHARMA_SFTP';

    public const MEEST = 'MEEST';

    public const TOLL_PRIORITY = 'TOLL_PRIORITY';

    public const MOTHERSHIP_API = 'MOTHERSHIP_API';

    public const CAPITAL = 'CAPITAL';

    public const EUROPAKET_API = 'EUROPAKET_API';

    public const HFD = 'HFD';

    public const TOURLINE_REFERENCE = 'TOURLINE_REFERENCE';

    public const GIO_ECOURIER = 'GIO_ECOURIER';

    public const CN_LOGISTICS = 'CN_LOGISTICS';

    public const PANDION = 'PANDION';

    public const BPOST_API = 'BPOST_API';

    public const PASSPORTSHIPPING = 'PASSPORTSHIPPING';

    public const PAKAJO = 'PAKAJO';

    public const DACHSER = 'DACHSER';

    public const YUSEN_SFTP = 'YUSEN_SFTP';

    public const SHYPLITE = 'SHYPLITE';

    public const XYY = 'XYY';

    public const MWD = 'MWD';

    public const FAXECARGO = 'FAXECARGO';

    public const MAZET = 'MAZET';

    public const FIRST_LOGISTICS_API = 'FIRST_LOGISTICS_API';

    public const SPRINT_PACK = 'SPRINT_PACK';

    public const HERMES_DE_FTP = 'HERMES_DE_FTP';

    public const CONCISE = 'CONCISE';

    public const KERRY_EXPRESS_TW_API = 'KERRY_EXPRESS_TW_API';

    public const EWE = 'EWE';

    public const FASTDESPATCH = 'FASTDESPATCH';

    public const ABCUSTOM_SFTP = 'ABCUSTOM_SFTP';

    public const CHAZKI = 'CHAZKI';

    public const SHIPPIE = 'SHIPPIE';

    public const GEODIS_API = 'GEODIS_API';

    public const NAQEL_EXPRESS = 'NAQEL_EXPRESS';

    public const PAPA_WEBHOOK = 'PAPA_WEBHOOK';

    public const FORWARDAIR = 'FORWARDAIR';

    public const DIALOGO_LOGISTICA_API = 'DIALOGO_LOGISTICA_API';

    public const LALAMOVE_API = 'LALAMOVE_API';

    public const TOMYDOOR = 'TOMYDOOR';

    public const KRONOS_WEBHOOK = 'KRONOS_WEBHOOK';

    public const JTCARGO = 'JTCARGO';

    public const T_CAT = 'T_CAT';

    public const CONCISE_WEBHOOK = 'CONCISE_WEBHOOK';

    public const TELEPORT_WEBHOOK = 'TELEPORT_WEBHOOK';

    public const CUSTOMCO_API = 'CUSTOMCO_API';

    public const SPX_TH = 'SPX_TH';

    public const BOLLORE_LOGISTICS = 'BOLLORE_LOGISTICS';

    public const CLICKLINK_SFTP = 'CLICKLINK_SFTP';

    public const M3LOGISTICS = 'M3LOGISTICS';

    public const VNPOST_API = 'VNPOST_API';

    public const AXLEHIRE_FTP = 'AXLEHIRE_FTP';

    public const SHADOWFAX = 'SHADOWFAX';

    public const MYHERMES_UK_API = 'MYHERMES_UK_API';

    public const DAIICHI = 'DAIICHI';

    public const MENSAJEROSURBANOS_API = 'MENSAJEROSURBANOS_API';

    public const POLARSPEED = 'POLARSPEED';

    public const IDEXPRESS_ID = 'IDEXPRESS_ID';

    public const PAYO = 'PAYO';

    public const WHISTL_SFTP = 'WHISTL_SFTP';

    public const INTEX_DE = 'INTEX_DE';

    public const TRANS2U = 'TRANS2U';

    public const PRODUCTCAREGROUP_SFTP = 'PRODUCTCAREGROUP_SFTP';

    public const BIGSMART = 'BIGSMART';

    public const EXPEDITORS_API_REF = 'EXPEDITORS_API_REF';

    public const AITWORLDWIDE_API = 'AITWORLDWIDE_API';

    public const WORLDCOURIER = 'WORLDCOURIER';

    public const QUIQUP = 'QUIQUP';

    public const AGEDISS_SFTP = 'AGEDISS_SFTP';

    public const ANDREANI_API = 'ANDREANI_API';

    public const CRLEXPRESS = 'CRLEXPRESS';

    public const SMARTCAT = 'SMARTCAT';

    public const CROSSFLIGHT = 'CROSSFLIGHT';

    public const PROCARRIER = 'PROCARRIER';

    public const DHL_REFERENCE_API = 'DHL_REFERENCE_API';

    public const SEINO_API = 'SEINO_API';

    public const WSPEXPRESS = 'WSPEXPRESS';

    public const KRONOS = 'KRONOS';

    public const TOTAL_EXPRESS_API = 'TOTAL_EXPRESS_API';

    public const PARCLL = 'PARCLL';

    public const XPEDIGO = 'XPEDIGO';

    public const STAR_TRACK_WEBHOOK = 'STAR_TRACK_WEBHOOK';

    public const GPOST = 'GPOST';

    public const UCS = 'UCS';

    public const DMFGROUP = 'DMFGROUP';

    public const COORDINADORA_API = 'COORDINADORA_API';

    public const MARKEN = 'MARKEN';

    public const NTL = 'NTL';

    public const REDJEPAKKETJE = 'REDJEPAKKETJE';

    public const ALLIED_EXPRESS_FTP = 'ALLIED_EXPRESS_FTP';

    public const MONDIALRELAY_ES = 'MONDIALRELAY_ES';

    public const NAEKO_FTP = 'NAEKO_FTP';

    public const MHI = 'MHI';

    public const SHIPPIFY = 'SHIPPIFY';

    public const MALCA_AMIT_API = 'MALCA_AMIT_API';

    public const JTEXPRESS_SG_API = 'JTEXPRESS_SG_API';

    public const DACHSER_WEB = 'DACHSER_WEB';

    public const FLIGHTLG = 'FLIGHTLG';

    public const CAGO = 'CAGO';

    public const COM1EXPRESS = 'COM1EXPRESS';

    public const TONAMI_FTP = 'TONAMI_FTP';

    public const PACKFLEET = 'PACKFLEET';

    public const PUROLATOR_INTERNATIONAL = 'PUROLATOR_INTERNATIONAL';

    public const WINESHIPPING_WEBHOOK = 'WINESHIPPING_WEBHOOK';

    public const DHL_ES_SFTP = 'DHL_ES_SFTP';

    public const PCHOME_API = 'PCHOME_API';

    public const CESKAPOSTA_API = 'CESKAPOSTA_API';

    public const GORUSH = 'GORUSH';

    public const HOMERUNNER = 'HOMERUNNER';

    public const AMAZON_ORDER = 'AMAZON_ORDER';

    public const EFWNOW_API = 'EFWNOW_API';

    public const CBL_LOGISTICA_API = 'CBL_LOGISTICA_API';

    public const NIMBUSPOST = 'NIMBUSPOST';

    public const LOGWIN_LOGISTICS = 'LOGWIN_LOGISTICS';

    public const NOWLOG_API = 'NOWLOG_API';

    public const DPD_NL = 'DPD_NL';

    public const GODEPENDABLE = 'GODEPENDABLE';

    public const ESDEX = 'ESDEX';

    public const LOGISYSTEMS_SFTP = 'LOGISYSTEMS_SFTP';

    public const EXPEDITORS = 'EXPEDITORS';

    public const SNTGLOBAL_API = 'SNTGLOBAL_API';

    public const SHIPX = 'SHIPX';

    public const QINTL_API = 'QINTL_API';

    public const PACKS = 'PACKS';

    public const POSTNL_INTERNATIONAL = 'POSTNL_INTERNATIONAL';

    public const AMAZON_EMAIL_PUSH = 'AMAZON_EMAIL_PUSH';

    public const DHL_API = 'DHL_API';

    public const SPX = 'SPX';

    public const AXLEHIRE = 'AXLEHIRE';

    public const ICSCOURIER = 'ICSCOURIER';

    public const DIALOGO_LOGISTICA = 'DIALOGO_LOGISTICA';

    public const SHUNBANG_EXPRESS = 'SHUNBANG_EXPRESS';

    public const TCS_API = 'TCS_API';

    public const SF_EXPRESS_CN = 'SF_EXPRESS_CN';

    public const PACKETA = 'PACKETA';

    public const SIC_TELIWAY = 'SIC_TELIWAY';

    public const MONDIALRELAY_FR = 'MONDIALRELAY_FR';

    public const INTIME_FTP = 'INTIME_FTP';

    public const JD_EXPRESS = 'JD_EXPRESS';

    public const FASTBOX = 'FASTBOX';

    public const PATHEON = 'PATHEON';

    public const INDIA_POST = 'INDIA_POST';

    public const TIPSA_REF = 'TIPSA_REF';

    public const ECOFREIGHT = 'ECOFREIGHT';

    public const VOX = 'VOX';

    public const DIRECTFREIGHT_AU_REF = 'DIRECTFREIGHT_AU_REF';

    public const BESTTRANSPORT_SFTP = 'BESTTRANSPORT_SFTP';

    public const AUSTRALIA_POST_API = 'AUSTRALIA_POST_API';

    public const FRAGILEPAK_SFTP = 'FRAGILEPAK_SFTP';

    public const FLIPXP = 'FLIPXP';

    public const VALUE_WEBHOOK = 'VALUE_WEBHOOK';

    public const DAESHIN = 'DAESHIN';

    public const SHERPA = 'SHERPA';

    public const MWD_API = 'MWD_API';

    public const SMARTKARGO = 'SMARTKARGO';

    public const DNJ_EXPRESS = 'DNJ_EXPRESS';

    public const GOPEOPLE = 'GOPEOPLE';

    public const MYSENDLE_API = 'MYSENDLE_API';

    public const ARAMEX_API = 'ARAMEX_API';

    public const PIDGE = 'PIDGE';

    public const THAIPARCELS = 'THAIPARCELS';

    public const PANTHER_REFERENCE_API = 'PANTHER_REFERENCE_API';

    public const POSTAPLUS1 = 'POSTAPLUS';

    public const BUFFALO = 'BUFFALO';

    public const U_ENVIOS = 'U_ENVIOS';

    public const ELITE_CO = 'ELITE_CO';

    public const BARQEXP = 'BARQEXP';

    public const ROCHE_INTERNAL_SFTP = 'ROCHE_INTERNAL_SFTP';

    public const DBSCHENKER_ICELAND = 'DBSCHENKER_ICELAND';

    public const TNT_FR_REFERENCE = 'TNT_FR_REFERENCE';

    public const NEWGISTICSAPI = 'NEWGISTICSAPI';

    public const GLOVO = 'GLOVO';

    public const GWLOGIS_API = 'GWLOGIS_API';

    public const SPREETAIL_API = 'SPREETAIL_API';

    public const MOOVA = 'MOOVA';

    public const PLYCONGROUP = 'PLYCONGROUP';

    public const USPS_WEBHOOK = 'USPS_WEBHOOK';

    public const REIMAGINEDELIVERY = 'REIMAGINEDELIVERY';

    public const EDF_FTP = 'EDF_FTP';

    public const DAO365 = 'DAO365';

    public const BIOCAIR_FTP = 'BIOCAIR_FTP';

    public const RANSA_WEBHOOK = 'RANSA_WEBHOOK';

    public const SHIPXPRES = 'SHIPXPRES';

    public const COURANT_PLUS_API = 'COURANT_PLUS_API';

    public const SHIPA = 'SHIPA';

    public const HOMELOGISTICS = 'HOMELOGISTICS';

    public const DX = 'DX';

    public const POSTE_ITALIANE_PACCOCELERE = 'POSTE_ITALIANE_PACCOCELERE';

    public const TOLL_WEBHOOK = 'TOLL_WEBHOOK';

    public const LCTBR_API = 'LCTBR_API';

    public const DX_FREIGHT = 'DX_FREIGHT';

    public const DHL_SFTP = 'DHL_SFTP';

    public const SHIPROCKET = 'SHIPROCKET';

    public const UBER_WEBHOOK = 'UBER_WEBHOOK';

    public const STATOVERNIGHT = 'STATOVERNIGHT';

    public const BURD = 'BURD';

    public const FASTSHIP = 'FASTSHIP';

    public const IBVENTURE_WEBHOOK = 'IBVENTURE_WEBHOOK';

    public const GATI_KWE_API = 'GATI_KWE_API';

    public const CRYOPDP_FTP = 'CRYOPDP_FTP';

    public const HUBBED = 'HUBBED';

    public const TIPSA_API = 'TIPSA_API';

    public const ARASKARGO = 'ARASKARGO';

    public const THIJS_NL = 'THIJS_NL';

    public const ATSHEALTHCARE_REFERENCE = 'ATSHEALTHCARE_REFERENCE';

    public const ENUM_99MINUTOS = '99MINUTOS';

    public const HELLENIC_POST = 'HELLENIC_POST';

    public const HSM_GLOBAL = 'HSM_GLOBAL';

    public const MNX = 'MNX';

    public const NMTRANSFER = 'NMTRANSFER';

    public const LOGYSTO = 'LOGYSTO';

    public const INDIA_POST_INT = 'INDIA_POST_INT';

    public const AMAZON_FBA_SWISHIP_IN = 'AMAZON_FBA_SWISHIP_IN';

    public const SRT_TRANSPORT = 'SRT_TRANSPORT';

    public const BOMI = 'BOMI';

    public const DELIVERR_SFTP = 'DELIVERR_SFTP';

    public const HSDEXPRESS = 'HSDEXPRESS';

    public const SIMPLETIRE_WEBHOOK = 'SIMPLETIRE_WEBHOOK';

    public const HUNTER_EXPRESS_SFTP = 'HUNTER_EXPRESS_SFTP';

    public const UPS_API = 'UPS_API';

    public const WOOYOUNG_LOGISTICS_SFTP = 'WOOYOUNG_LOGISTICS_SFTP';

    public const PHSE_API = 'PHSE_API';

    public const WISH_EMAIL_PUSH = 'WISH_EMAIL_PUSH';

    public const NORTHLINE = 'NORTHLINE';

    public const MEDAFRICA = 'MEDAFRICA';

    public const DPD_AT_SFTP = 'DPD_AT_SFTP';

    public const ANTERAJA = 'ANTERAJA';

    public const DHL_GLOBAL_FORWARDING_API = 'DHL_GLOBAL_FORWARDING_API';

    public const LBCEXPRESS_API = 'LBCEXPRESS_API';

    public const SIMSGLOBAL = 'SIMSGLOBAL';

    public const CDLDELIVERS = 'CDLDELIVERS';

    public const TYP = 'TYP';

    public const TESTING_COURIER_WEBHOOK = 'TESTING_COURIER_WEBHOOK';

    public const PANDAGO_API = 'PANDAGO_API';

    public const ROYAL_MAIL_FTP = 'ROYAL_MAIL_FTP';

    public const THUNDEREXPRESS = 'THUNDEREXPRESS';

    public const SECRETLAB_WEBHOOK = 'SECRETLAB_WEBHOOK';

    public const SETEL = 'SETEL';

    public const JD_WORLDWIDE = 'JD_WORLDWIDE';

    public const DPD_RU_API = 'DPD_RU_API';

    public const ARGENTS_WEBHOOK = 'ARGENTS_WEBHOOK';

    public const POSTONE = 'POSTONE';

    public const TUSKLOGISTICS = 'TUSKLOGISTICS';

    public const RHENUS_UK_API = 'RHENUS_UK_API';

    public const TAQBIN_SG_API = 'TAQBIN_SG_API';

    public const INNTRALOG_SFTP = 'INNTRALOG_SFTP';

    public const DAYROSS = 'DAYROSS';

    public const CORREOSEXPRESS_API = 'CORREOSEXPRESS_API';

    public const INTERNATIONAL_SEUR_API = 'INTERNATIONAL_SEUR_API';

    public const YODEL_API = 'YODEL_API';

    public const HEROEXPRESS = 'HEROEXPRESS';

    public const DHL_SUPPLYCHAIN_IN = 'DHL_SUPPLYCHAIN_IN';

    public const URGENT_CARGUS = 'URGENT_CARGUS';

    public const FRONTDOORCORP = 'FRONTDOORCORP';

    public const JTEXPRESS_PH = 'JTEXPRESS_PH';

    public const PARCELSTARS_WEBHOOK = 'PARCELSTARS_WEBHOOK';

    public const DPD_SK_SFTP = 'DPD_SK_SFTP';

    public const MOVIANTO = 'MOVIANTO';

    public const OZEPARTS_SHIPPING = 'OZEPARTS_SHIPPING';

    public const KARGOMKOLAY = 'KARGOMKOLAY';

    public const TRUNKRS = 'TRUNKRS';

    public const OMNIRPS_WEBHOOK = 'OMNIRPS_WEBHOOK';

    public const CHILEXPRESS = 'CHILEXPRESS';

    public const TESTING_COURIER = 'TESTING_COURIER';

    public const JNE_API = 'JNE_API';

    public const BJSHOMEDELIVERY_FTP = 'BJSHOMEDELIVERY_FTP';

    public const DEXPRESS_WEBHOOK = 'DEXPRESS_WEBHOOK';

    public const USPS_API = 'USPS_API';

    public const TRANSVIRTUAL = 'TRANSVIRTUAL';

    public const SOLISTICA_API = 'SOLISTICA_API';

    public const CHIENVENTURE_WEBHOOK = 'CHIENVENTURE_WEBHOOK';

    public const DPD_UK_SFTP = 'DPD_UK_SFTP';

    public const INPOST_UK = 'INPOST_UK';

    public const JAVIT = 'JAVIT';

    public const ZTO_DOMESTIC = 'ZTO_DOMESTIC';

    public const DHL_GT_API = 'DHL_GT_API';

    public const CEVA_TRACKING = 'CEVA_TRACKING';

    public const KOMON_EXPRESS = 'KOMON_EXPRESS';

    public const EASTWESTCOURIER_FTP = 'EASTWESTCOURIER_FTP';

    public const DANNIAO = 'DANNIAO';

    public const SPECTRAN = 'SPECTRAN';

    public const DELIVER_IT = 'DELIVER_IT';

    public const RELAISCOLIS = 'RELAISCOLIS';

    public const GLS_SPAIN_API = 'GLS_SPAIN_API';

    public const POSTPLUS = 'POSTPLUS';

    public const AIRTERRA = 'AIRTERRA';

    public const GIO_ECOURIER_API = 'GIO_ECOURIER_API';

    public const DPD_CH_SFTP = 'DPD_CH_SFTP';

    public const FEDEX_API = 'FEDEX_API';

    public const INTERSMARTTRANS = 'INTERSMARTTRANS';

    public const HERMES_UK_SFTP = 'HERMES_UK_SFTP';

    public const EXELOT_FTP = 'EXELOT_FTP';

    public const DHL_PA_API = 'DHL_PA_API';

    public const VIRTRANSPORT_SFTP = 'VIRTRANSPORT_SFTP';

    public const WORLDNET = 'WORLDNET';

    public const INSTABOX_WEBHOOK = 'INSTABOX_WEBHOOK';

    public const KNG = 'KNG';

    public const FLASHEXPRESS_WEBHOOK = 'FLASHEXPRESS_WEBHOOK';

    public const MAGYAR_POSTA_API = 'MAGYAR_POSTA_API';

    public const WESHIP_API = 'WESHIP_API';

    public const OHI_WEBHOOK = 'OHI_WEBHOOK';

    public const MUDITA = 'MUDITA';

    public const BLUEDART_API = 'BLUEDART_API';

    public const T_CAT_API = 'T_CAT_API';

    public const ADS = 'ADS';

    public const HERMES_IT = 'HERMES_IT';

    public const FITZMARK_API = 'FITZMARK_API';

    public const POSTI_API = 'POSTI_API';

    public const SMSA_EXPRESS_WEBHOOK = 'SMSA_EXPRESS_WEBHOOK';

    public const TAMERGROUP_WEBHOOK = 'TAMERGROUP_WEBHOOK';

    public const LIVRAPIDE = 'LIVRAPIDE';

    public const NIPPON_EXPRESS = 'NIPPON_EXPRESS';

    public const BETTERTRUCKS = 'BETTERTRUCKS';

    public const FAN = 'FAN';

    public const PB_USPSFLATS_FTP = 'PB_USPSFLATS_FTP';

    public const PARCELRIGHT = 'PARCELRIGHT';

    public const ITHINKLOGISTICS = 'ITHINKLOGISTICS';

    public const KERRY_EXPRESS_TH_WEBHOOK = 'KERRY_EXPRESS_TH_WEBHOOK';

    public const ECOUTIER = 'ECOUTIER';

    public const SHOWL = 'SHOWL';

    public const BRT_IT_API = 'BRT_IT_API';

    public const RIXONHK_API = 'RIXONHK_API';

    public const DBSCHENKER_API = 'DBSCHENKER_API';

    public const ILYANGLOGIS = 'ILYANGLOGIS';

    public const MAIL_BOX_ETC = 'MAIL_BOX_ETC';

    public const WESHIP = 'WESHIP';

    public const DHL_GLOBAL_MAIL_API = 'DHL_GLOBAL_MAIL_API';

    public const ACTIVOS24_API = 'ACTIVOS24_API';

    public const ATSHEALTHCARE = 'ATSHEALTHCARE';

    public const LUWJISTIK = 'LUWJISTIK';

    public const GW_WORLD = 'GW_WORLD';

    public const FAIRSENDEN_API = 'FAIRSENDEN_API';

    public const SERVIP_WEBHOOK = 'SERVIP_WEBHOOK';

    public const SWISHIP = 'SWISHIP';

    public const TANET = 'TANET';

    public const HOTSIN_CARGO = 'HOTSIN_CARGO';

    public const DIREX = 'DIREX';

    public const HUANTONG = 'HUANTONG';

    public const IMILE_API = 'IMILE_API';

    public const BDMNET = 'BDMNET';

    public const AUEXPRESS = 'AUEXPRESS';

    public const NYTLOGISTICS = 'NYTLOGISTICS';

    public const DSV_REFERENCE = 'DSV_REFERENCE';

    public const NOVOFARMA_WEBHOOK = 'NOVOFARMA_WEBHOOK';

    public const AITWORLDWIDE_SFTP = 'AITWORLDWIDE_SFTP';

    public const SHOPOLIVE = 'SHOPOLIVE';

    public const FNF_ZA = 'FNF_ZA';

    public const DHL_ECOMMERCE_GC = 'DHL_ECOMMERCE_GC';

    public const FETCHR = 'FETCHR';

    public const STARLINKS_API = 'STARLINKS_API';

    public const YYEXPRESS = 'YYEXPRESS';

    public const SERVIENTREGA = 'SERVIENTREGA';

    public const HANJIN = 'HANJIN';

    public const SPANISH_SEUR_FTP = 'SPANISH_SEUR_FTP';

    public const DX_B2B_CONNUM = 'DX_B2B_CONNUM';

    public const HELTHJEM_API = 'HELTHJEM_API';

    public const INEXPOST = 'INEXPOST';

    public const A2B_BA = 'A2B_BA';

    public const RHENUS_GROUP = 'RHENUS_GROUP';

    public const SBERLOGISTICS_RU = 'SBERLOGISTICS_RU';

    public const MALCA_AMIT = 'MALCA_AMIT';

    public const PPL = 'PPL';

    public const OSM_WORLDWIDE_SFTP = 'OSM_WORLDWIDE_SFTP';

    public const ACILOGISTIX = 'ACILOGISTIX';

    public const OPTIMACOURIER = 'OPTIMACOURIER';

    public const NOVA_POSHTA_API = 'NOVA_POSHTA_API';

    public const LOGGI = 'LOGGI';

    public const YIFAN = 'YIFAN';

    public const MYDYNALOGIC = 'MYDYNALOGIC';

    public const MORNINGLOBAL = 'MORNINGLOBAL';

    public const CONCISE_API = 'CONCISE_API';

    public const FXTRAN = 'FXTRAN';

    public const DELIVERYOURPARCEL_ZA = 'DELIVERYOURPARCEL_ZA';

    public const UPARCEL = 'UPARCEL';

    public const MOBI_BR = 'MOBI_BR';

    public const LOGINEXT_WEBHOOK = 'LOGINEXT_WEBHOOK';

    public const EMS = 'EMS';

    public const SPEEDY = 'SPEEDY';

    private const _ALL_VALUES = [
        self::DPD_RU,
        self::BG_BULGARIAN_POST,
        self::KR_KOREA_POST,
        self::ZA_COURIERIT,
        self::FR_EXAPAQ,
        self::ARE_EMIRATES_POST,
        self::GAC,
        self::GEIS,
        self::SF_EX,
        self::PAGO,
        self::MYHERMES,
        self::DIAMOND_EUROGISTICS,
        self::CORPORATECOURIERS_WEBHOOK,
        self::BOND,
        self::OMNIPARCEL,
        self::SK_POSTA,
        self::PUROLATOR,
        self::FETCHR_WEBHOOK,
        self::THEDELIVERYGROUP,
        self::CELLO_SQUARE,
        self::TARRIVE,
        self::COLLIVERY,
        self::MAINFREIGHT,
        self::IND_FIRSTFLIGHT,
        self::ACSWORLDWIDE,
        self::AMSTAN,
        self::OKAYPARCEL,
        self::ENVIALIA_REFERENCE,
        self::SEUR_ES,
        self::CONTINENTAL,
        self::FDSEXPRESS,
        self::AMAZON_FBA_SWISHIP,
        self::WYNGS,
        self::DHL_ACTIVE_TRACING,
        self::ZYLLEM,
        self::RUSTON,
        self::XPOST,
        self::CORREOS_ES,
        self::DHL_FR,
        self::PAN_ASIA,
        self::BRT_IT,
        self::SRE_KOREA,
        self::SPEEDEE,
        self::TNT_UK,
        self::VENIPAK,
        self::SHREENANDANCOURIER,
        self::CROSHOT,
        self::NIPOST_NG,
        self::EPST_GLBL,
        self::NEWGISTICS,
        self::POST_SLOVENIA,
        self::JERSEY_POST,
        self::BOMBINOEXP,
        self::WMG,
        self::XQ_EXPRESS,
        self::FURDECO,
        self::LHT_EXPRESS,
        self::SOUTH_AFRICAN_POST_OFFICE,
        self::SPOTON,
        self::DIMERCO,
        self::CYPRUS_POST_CYP,
        self::ABCUSTOM,
        self::IND_DELIVREE,
        self::CN_BESTEXPRESS,
        self::DX_SFTP,
        self::PICKUPP_MYS,
        self::FMX,
        self::HELLMANN,
        self::SHIP_IT_ASIA,
        self::KERRY_ECOMMERCE,
        self::FRETERAPIDO,
        self::PITNEY_BOWES,
        self::XPRESSEN_DK,
        self::SEUR_SP_API,
        self::DELIVERYONTIME,
        self::JINSUNG,
        self::TRANS_KARGO,
        self::SWISHIP_DE,
        self::IVOY_WEBHOOK,
        self::AIRMEE_WEBHOOK,
        self::DHL_BENELUX,
        self::FIRSTMILE,
        self::FASTWAY_IR,
        self::HH_EXP,
        self::MYS_MYPOST_ONLINE,
        self::TNT_NL,
        self::TIPSA,
        self::TAQBIN_MY,
        self::KGMHUB,
        self::INTEXPRESS,
        self::OVERSE_EXP,
        self::ONECLICK,
        self::ROADRUNNER_FREIGHT,
        self::GLS_CROTIA,
        self::MRW_FTP,
        self::BLUEX,
        self::DYLT,
        self::DPD_IR,
        self::SIN_GLBL,
        self::TUFFNELLS_REFERENCE,
        self::CJPACKET,
        self::MILKMAN,
        self::ASIGNA,
        self::ONEWORLDEXPRESS,
        self::ROYAL_MAIL,
        self::VIA_EXPRESS,
        self::TIGFREIGHT,
        self::ZTO_EXPRESS,
        self::TWO_GO,
        self::IML,
        self::INTEL_VALLEY,
        self::EFS,
        self::UK_UK_MAIL,
        self::RAM,
        self::ALLIEDEXPRESS,
        self::APC_OVERNIGHT,
        self::SHIPPIT,
        self::TFM,
        self::M_XPRESS,
        self::HDB_BOX,
        self::CLEVY_LINKS,
        self::IBEONE,
        self::FIEGE_NL,
        self::KWE_GLOBAL,
        self::CTC_EXPRESS,
        self::LAO_POST,
        self::AMAZON,
        self::MORE_LINK,
        self::JX,
        self::EASY_MAIL,
        self::ADUIEPYLE,
        self::GB_PANTHER,
        self::EXPRESSSALE,
        self::SG_DETRACK,
        self::TRUNKRS_WEBHOOK,
        self::MATDESPATCH,
        self::DICOM,
        self::MBW,
        self::KHM_CAMBODIA_POST,
        self::SINOTRANS,
        self::BRT_IT_PARCELID,
        self::DHL_SUPPLY_CHAIN,
        self::DHL_PL,
        self::TOPYOU,
        self::PALEXPRESS,
        self::DHL_SG,
        self::CN_WEDO,
        self::FULFILLME,
        self::DPD_DELISTRACK,
        self::UPS_REFERENCE,
        self::CARIBOU,
        self::LOCUS_WEBHOOK,
        self::DSV,
        self::CN_GOFLY,
        self::P2P_TRC,
        self::DIRECTPARCELS,
        self::NOVA_POSHTA_INT,
        self::FEDEX_POLAND,
        self::CN_JCEX,
        self::FAR_INTERNATIONAL,
        self::IDEXPRESS,
        self::GANGBAO,
        self::NEWAY,
        self::POSTNL_INT_3_S,
        self::RPX_ID,
        self::DESIGNERTRANSPORT_WEBHOOK,
        self::GLS_SLOVEN,
        self::PARCELLED_IN,
        self::GSI_EXPRESS,
        self::CON_WAY,
        self::BROUWER_TRANSPORT,
        self::CPEX,
        self::ISRAEL_POST,
        self::DTDC_IN,
        self::PTT_POST,
        self::XDE_WEBHOOK,
        self::TOLOS,
        self::GIAO_HANG,
        self::GEODIS_ESPACE,
        self::MAGYAR_HU,
        self::DOORDASH_WEBHOOK,
        self::TIKI_ID,
        self::CJ_HK_INTERNATIONAL,
        self::STAR_TRACK_EXPRESS,
        self::HELTHJEM,
        self::SFB2C,
        self::FREIGHTQUOTE,
        self::LANDMARK_GLOBAL_REFERENCE,
        self::PARCEL2GO,
        self::DELNEXT,
        self::RCL,
        self::CGS_EXPRESS,
        self::HK_POST,
        self::SAP_EXPRESS,
        self::PARCELPOST_SG,
        self::HERMES,
        self::IND_SAFEEXPRESS,
        self::TOPHATTEREXPRESS,
        self::MGLOBAL,
        self::AVERITT,
        self::LEADER,
        self::_2EBOX,
        self::SG_SPEEDPOST,
        self::DBSCHENKER_SE,
        self::ISR_POST_DOMESTIC,
        self::BESTWAYPARCEL,
        self::ASENDIA_DE,
        self::NIGHTLINE_UK,
        self::TAQBIN_SG,
        self::TCK_EXPRESS,
        self::ENDEAVOUR_DELIVERY,
        self::NANJINGWOYUAN,
        self::HEPPNER_FR,
        self::EMPS_CN,
        self::FONSEN,
        self::PICKRR,
        self::APC_OVERNIGHT_CONNUM,
        self::STAR_TRACK_NEXT_FLIGHT,
        self::DAJIN,
        self::UPS_FREIGHT,
        self::POSTA_PLUS,
        self::CEVA,
        self::ANSERX,
        self::JS_EXPRESS,
        self::PADTF,
        self::UPS_MAIL_INNOVATIONS,
        self::EZSHIP,
        self::SYPOST,
        self::AMAZON_SHIP_MCF,
        self::YUSEN,
        self::BRING,
        self::SDA_IT,
        self::GBA,
        self::NEWEGGEXPRESS,
        self::SPEEDCOURIERS_GR,
        self::FORRUN,
        self::PICKUP,
        self::ECMS,
        self::INTELIPOST,
        self::FLASHEXPRESS,
        self::CN_STO,
        self::SEKO_SFTP,
        self::HOME_DELIVERY_SOLUTIONS,
        self::DPD_HGRY,
        self::KERRYTTC_VN,
        self::JOYING_BOX,
        self::TOTAL_EXPRESS,
        self::ZJS_EXPRESS,
        self::STARKEN,
        self::DEMANDSHIP,
        self::CN_DPEX,
        self::AUPOST_CN,
        self::LOGISTERS,
        self::GOGLOBALPOST,
        self::GLS_CZ,
        self::PAACK_WEBHOOK,
        self::GRAB_WEBHOOK,
        self::PARCELPOINT,
        self::ICUMULUS,
        self::DAIGLOBALTRACK,
        self::GLOBAL_IPARCEL,
        self::YURTICI_KARGO,
        self::CN_PAYPAL_PACKAGE,
        self::PARCEL_2_POST,
        self::GLS_IT,
        self::PIL_LOGISTICS,
        self::HEPPNER,
        self::GENERAL_OVERNIGHT,
        self::HAPPY2POINT,
        self::CHITCHATS,
        self::SMOOTH,
        self::CLE_LOGISTICS,
        self::FIEGE,
        self::MX_CARGO,
        self::ZIINGFINALMILE,
        self::DAYTON_FREIGHT,
        self::TCS,
        self::AEX,
        self::HERMES_DE,
        self::ROUTIFIC_WEBHOOK,
        self::GLOBAVEND,
        self::CJ_LOGISTICS,
        self::PALLET_NETWORK,
        self::RAF_PH,
        self::UK_XDP,
        self::PAPER_EXPRESS,
        self::LA_POSTE_SUIVI,
        self::PAQUETEXPRESS,
        self::LIEFERY,
        self::STRECK_TRANSPORT,
        self::PONY_EXPRESS,
        self::ALWAYS_EXPRESS,
        self::GBS_BROKER,
        self::CITYLINK_MY,
        self::ALLJOY,
        self::YODEL,
        self::YODEL_DIR,
        self::STONE3PL,
        self::PARCELPAL_WEBHOOK,
        self::DHL_ECOMERCE_ASA,
        self::SIMPLYPOST,
        self::KY_EXPRESS,
        self::SHENZHEN,
        self::US_LASERSHIP,
        self::UC_EXPRE,
        self::DIDADI,
        self::CJ_KR,
        self::DBSCHENKER_B2B,
        self::MXE,
        self::CAE_DELIVERS,
        self::PFCEXPRESS,
        self::WHISTL,
        self::WEPOST,
        self::DHL_PARCEL_ES,
        self::DDEXPRESS,
        self::ARAMEX_AU,
        self::BNEED,
        self::HK_TGX,
        self::LATVIJAS_PASTS,
        self::VIAEUROPE,
        self::CORREO_UY,
        self::CHRONOPOST_FR,
        self::J_NET,
        self::_6LS,
        self::BLR_BELPOST,
        self::BIRDSYSTEM,
        self::DOBROPOST,
        self::WAHANA_ID,
        self::WEASHIP,
        self::SONICTL,
        self::KWT,
        self::AFLLOG_FTP,
        self::SKYNET_WORLDWIDE,
        self::NOVA_POSHTA,
        self::SEINO,
        self::SZENDEX,
        self::BPOST_INT,
        self::DBSCHENKER_SV,
        self::AO_DEUTSCHLAND,
        self::EU_FLEET_SOLUTIONS,
        self::PCFCORP,
        self::LINKBRIDGE,
        self::PRIMAMULTICIPTA,
        self::COUREX,
        self::ZAJIL_EXPRESS,
        self::COLLECTCO,
        self::JTEXPRESS,
        self::FEDEX_UK,
        self::USHIP,
        self::PIXSELL,
        self::SHIPTOR,
        self::CDEK,
        self::VNM_VIETTELPOST,
        self::CJ_CENTURY,
        self::GSO,
        self::VIWO,
        self::SKYBOX,
        self::KERRYTJ,
        self::NTLOGISTICS_VN,
        self::SDH_SCM,
        self::ZINC,
        self::DPE_SOUTH_AFRC,
        self::CESKA_CZ,
        self::ACS_GR,
        self::DEALERSEND,
        self::JOCOM,
        self::CSE,
        self::TFORCE_FINALMILE,
        self::SHIP_GATE,
        self::SHIPTER,
        self::NATIONAL_SAMEDAY,
        self::YUNEXPRESS,
        self::CAINIAO,
        self::DMS_MATRIX,
        self::DIRECTLOG,
        self::ASENDIA_US,
        self::_3JMSLOGISTICS,
        self::LICCARDI_EXPRESS,
        self::SKY_POSTAL,
        self::CNWANGTONG,
        self::POSTNORD_LOGISTICS_DK,
        self::LOGISTIKA,
        self::CELERITAS,
        self::PRESSIODE,
        self::SHREE_MARUTI,
        self::LOGISTICSWORLDWIDE_HK,
        self::EFEX,
        self::LOTTE,
        self::LONESTAR,
        self::APRISAEXPRESS,
        self::BEL_RS,
        self::OSM_WORLDWIDE,
        self::WESTGATE_GL,
        self::FASTRACK,
        self::DTD_EXPR,
        self::ALFATREX,
        self::PROMEDDELIVERY,
        self::THABIT_LOGISTICS,
        self::HCT_LOGISTICS,
        self::CARRY_FLAP,
        self::US_OLD_DOMINION,
        self::ANICAM_BOX,
        self::WANBEXPRESS,
        self::AN_POST,
        self::DPD_LOCAL,
        self::STALLIONEXPRESS,
        self::RAIDEREX,
        self::SHOPFANS,
        self::KYUNGDONG_PARCEL,
        self::CHAMPION_LOGISTICS,
        self::PICKUPP_SGP,
        self::MORNING_EXPRESS,
        self::NACEX,
        self::THENILE_WEBHOOK,
        self::HOLISOL,
        self::LBCEXPRESS_FTP,
        self::KURASI,
        self::USF_REDDAWAY,
        self::APG,
        self::CN_BOXC,
        self::ECOSCOOTING,
        self::MAINWAY,
        self::PAPERFLY,
        self::HOUNDEXPRESS,
        self::BOX_BERRY,
        self::EP_BOX,
        self::PLUS_LOG_UK,
        self::FULFILLA,
        self::ASE,
        self::MAIL_PLUS,
        self::XPO_LOGISTICS,
        self::WNDIRECT,
        self::CLOUDWISH_ASIA,
        self::ZELERIS,
        self::GIO_EXPRESS,
        self::OCS_WORLDWIDE,
        self::ARK_LOGISTICS,
        self::AQUILINE,
        self::PILOT_FREIGHT,
        self::QWINTRY,
        self::DANSKE_FRAGT,
        self::CARRIERS,
        self::AIR_CANADA_GLOBAL,
        self::PRESIDENT_TRANS,
        self::STEPFORWARDFS,
        self::SKYNET_UK,
        self::PITTOHIO,
        self::CORREOS_EXPRESS,
        self::RL_US,
        self::MARA_XPRESS,
        self::DESTINY,
        self::UK_YODEL,
        self::COMET_TECH,
        self::DHL_PARCEL_RU,
        self::TNT_REFR,
        self::SHREE_ANJANI_COURIER,
        self::MIKROPAKKET_BE,
        self::ETS_EXPRESS,
        self::COLIS_PRIVE,
        self::CN_YUNDA,
        self::AAA_COOPER,
        self::ROCKET_PARCEL,
        self::_360LION,
        self::PANDU,
        self::PROFESSIONAL_COURIERS,
        self::FLYTEXPRESS,
        self::LOGISTICSWORLDWIDE_MY,
        self::CORREOS_DE_ESPANA,
        self::IMX,
        self::FOUR_PX_EXPRESS,
        self::XPRESSBEES,
        self::PICKUPP_VNM,
        self::STARTRACK_EXPRESS1,
        self::FR_COLISSIMO,
        self::NACEX_SPAIN_REFERENCE,
        self::DHL_SUPPLY_CHAIN_AU,
        self::ESHIPPING,
        self::SHREETIRUPATI,
        self::HX_EXPRESS,
        self::INDOPAKET,
        self::CN_17POST,
        self::K1_EXPRESS,
        self::CJ_GLS,
        self::MYS_GDEX,
        self::NATIONEX,
        self::ANJUN,
        self::FARGOOD,
        self::SMG_EXPRESS,
        self::RZYEXPRESS,
        self::SEFL,
        self::TNT_CLICK_IT,
        self::HDB,
        self::HIPSHIPPER,
        self::RPXLOGISTICS,
        self::KUEHNE,
        self::IT_NEXIVE,
        self::PTS,
        self::SWISS_POST_FTP,
        self::FASTRK_SERV,
        self::_4_72,
        self::US_YRC,
        self::POSTNL_INTL_3S,
        self::ELIAN_POST,
        self::CUBYN,
        self::SAU_SAUDI_POST,
        self::ABXEXPRESS_MY,
        self::HUAHAN_EXPRESS,
        self::IND_JAYONEXPRESS,
        self::ZES_EXPRESS,
        self::ZEPTO_EXPRESS,
        self::SKYNET_ZA,
        self::ZEEK_2_DOOR,
        self::BLINKLASTMILE,
        self::POSTA_UKR,
        self::CHROBINSON,
        self::CN_POST56,
        self::COURANT_PLUS,
        self::SCUDEX_EXPRESS,
        self::SHIPENTEGRA,
        self::B_TWO_C_EUROPE,
        self::COPE,
        self::IND_GATI,
        self::CN_WISHPOST,
        self::NACEX_ES,
        self::TAQBIN_HK,
        self::GLOBALTRANZ,
        self::HKD,
        self::BJSHOMEDELIVERY,
        self::OMNIVA,
        self::SUTTON,
        self::PANTHER_REFERENCE,
        self::SFCSERVICE,
        self::LTL,
        self::PARKNPARCEL,
        self::SPRING_GDS,
        self::ECEXPRESS,
        self::INTERPARCEL_AU,
        self::AGILITY,
        self::XL_EXPRESS,
        self::ADERONLINE,
        self::DIRECTCOURIERS,
        self::PLANZER,
        self::SENDING,
        self::NINJAVAN_WB,
        self::NATIONWIDE_MY,
        self::SENDIT,
        self::GB_ARROW,
        self::IND_GOJAVAS,
        self::KPOST,
        self::DHL_FREIGHT,
        self::BLUECARE,
        self::JINDOUYUN,
        self::TRACKON,
        self::GB_TUFFNELLS,
        self::TRUMPCARD,
        self::ETOTAL,
        self::SFPLUS_WEBHOOK,
        self::SEKOLOGISTICS,
        self::HERMES_2MANN_HANDLING,
        self::DPD_LOCAL_REF,
        self::UDS,
        self::ZA_SPECIALISED_FREIGHT,
        self::THA_KERRY,
        self::PRT_INT_SEUR,
        self::BRA_CORREIOS,
        self::NZ_NZ_POST,
        self::CN_EQUICK,
        self::MYS_EMS,
        self::GB_NORSK,
        self::ESP_MRW,
        self::ESP_PACKLINK,
        self::KANGAROO_MY,
        self::RPX,
        self::XDP_UK_REFERENCE,
        self::NINJAVAN_MY,
        self::ADICIONAL,
        self::NINJAVAN_ID,
        self::ROADBULL,
        self::YAKIT,
        self::MAILAMERICAS,
        self::MIKROPAKKET,
        self::DYNALOGIC,
        self::DHL_ES,
        self::DHL_PARCEL_NL,
        self::DHL_GLOBAL_MAIL_ASIA,
        self::DAWN_WING,
        self::GENIKI_GR,
        self::HERMESWORLD_UK,
        self::ALPHAFAST,
        self::BUYLOGIC,
        self::EKART,
        self::MEX_SENDA,
        self::SFC_LOGISTICS,
        self::POST_SERBIA,
        self::IND_DELHIVERY,
        self::DE_DPD_DELISTRACK,
        self::RPD2MAN,
        self::CN_SF_EXPRESS,
        self::YANWEN,
        self::MYS_SKYNET,
        self::CORREOS_DE_MEXICO,
        self::CBL_LOGISTICA,
        self::MEX_ESTAFETA,
        self::AU_AUSTRIAN_POST,
        self::RINCOS,
        self::NLD_DHL,
        self::RUSSIAN_POST,
        self::COURIERS_PLEASE,
        self::POSTNORD_LOGISTICS,
        self::FEDEX,
        self::DPE_EXPRESS,
        self::DPD,
        self::ADSONE,
        self::IDN_JNE,
        self::THECOURIERGUY,
        self::CNEXPS,
        self::PRT_CHRONOPOST,
        self::LANDMARK_GLOBAL,
        self::IT_DHL_ECOMMERCE,
        self::ESP_NACEX,
        self::PRT_CTT,
        self::BE_KIALA,
        self::ASENDIA_UK,
        self::GLOBAL_TNT,
        self::POSTUR_IS,
        self::EPARCEL_KR,
        self::INPOST_PACZKOMATY,
        self::IT_POSTE_ITALIA,
        self::BE_BPOST,
        self::PL_POCZTA_POLSKA,
        self::MYS_MYS_POST,
        self::SG_SG_POST,
        self::THA_THAILAND_POST,
        self::LEXSHIP,
        self::FASTWAY_NZ,
        self::DHL_AU,
        self::COSTMETICSNOW,
        self::PFLOGISTICS,
        self::LOOMIS_EXPRESS,
        self::GLS_ITALY,
        self::LINE,
        self::GEL_EXPRESS,
        self::HUODULL,
        self::NINJAVAN_SG,
        self::JANIO,
        self::AO_COURIER,
        self::BRT_IT_SENDER_REF,
        self::SAILPOST,
        self::LALAMOVE,
        self::NEWZEALAND_COURIERS,
        self::ETOMARS,
        self::VIRTRANSPORT,
        self::WIZMO,
        self::PALLETWAYS,
        self::I_DIKA,
        self::CFL_LOGISTICS,
        self::GEMWORLDWIDE,
        self::GLOBAL_EXPRESS,
        self::LOGISTYX_TRANSGROUP,
        self::WESTBANK_COURIER,
        self::ARCO_SPEDIZIONI,
        self::YDH_EXPRESS,
        self::PARCELINKLOGISTICS,
        self::CNDEXPRESS,
        self::NOX_NIGHT_TIME_EXPRESS,
        self::AERONET,
        self::LTIANEXP,
        self::INTEGRA2_FTP,
        self::PARCELONE,
        self::NOX_NACHTEXPRESS,
        self::CN_CHINA_POST_EMS,
        self::CHUKOU1,
        self::GLS_SLOV,
        self::ORANGE_DS,
        self::JOOM_LOGIS,
        self::AUS_STARTRACK,
        self::DHL,
        self::GB_APC,
        self::BONDSCOURIERS,
        self::JPN_JAPAN_POST,
        self::USPS,
        self::WINIT,
        self::ARG_OCA,
        self::TW_TAIWAN_POST,
        self::DMM_NETWORK,
        self::TNT,
        self::BH_POSTA,
        self::SWE_POSTNORD,
        self::CA_CANADA_POST,
        self::WISELOADS,
        self::ASENDIA_HK,
        self::NLD_GLS,
        self::MEX_REDPACK,
        self::JET_SHIP,
        self::DE_DHL_EXPRESS,
        self::NINJAVAN_THAI,
        self::RABEN_GROUP,
        self::ESP_ASM,
        self::HRV_HRVATSKA,
        self::GLOBAL_ESTES,
        self::LTU_LIETUVOS,
        self::BEL_DHL,
        self::AU_AU_POST,
        self::SPEEDEXCOURIER,
        self::FR_COLIS,
        self::ARAMEX,
        self::DPEX,
        self::MYS_AIRPAK,
        self::CUCKOOEXPRESS,
        self::DPD_POLAND,
        self::NLD_POSTNL,
        self::NIM_EXPRESS,
        self::QUANTIUM,
        self::SENDLE,
        self::ESP_REDUR,
        self::MATKAHUOLTO,
        self::CPACKET,
        self::POSTI,
        self::HUNTER_EXPRESS,
        self::CHOIR_EXP,
        self::LEGION_EXPRESS,
        self::AUSTRIAN_POST_EXPRESS,
        self::GRUPO,
        self::POSTA_RO,
        self::INTERPARCEL_UK,
        self::GLOBAL_ABF,
        self::POSTEN_NORGE,
        self::XPERT_DELIVERY,
        self::DHL_REFR,
        self::DHL_HK,
        self::SKYNET_UAE,
        self::GOJEK,
        self::YODEL_INTNL,
        self::JANCO,
        self::YTO,
        self::WISE_EXPRESS,
        self::JTEXPRESS_VN,
        self::FEDEX_INTL_MLSERV,
        self::VAMOX,
        self::AMS_GRP,
        self::DHL_JP,
        self::HRPARCEL,
        self::GESWL,
        self::BLUESTAR,
        self::CDEK_TR,
        self::DESCARTES,
        self::DELTEC_UK,
        self::DTDC_EXPRESS,
        self::TOURLINE,
        self::BH_WORLDWIDE,
        self::OCS,
        self::YINGNUO_LOGISTICS,
        self::UPS,
        self::TOLL,
        self::PRT_SEUR,
        self::DTDC_AU,
        self::THA_DYNAMIC_LOGISTICS,
        self::UBI_LOGISTICS,
        self::FEDEX_CROSSBORDER,
        self::A1POST,
        self::TAZMANIAN_FREIGHT,
        self::CJ_INT_MY,
        self::SAIA_FREIGHT,
        self::SG_QXPRESS,
        self::NHANS_SOLUTIONS,
        self::DPD_FR,
        self::COORDINADORA,
        self::ANDREANI,
        self::DOORA,
        self::INTERPARCEL_NZ,
        self::PHL_JAMEXPRESS,
        self::BEL_BELGIUM_POST,
        self::US_APC,
        self::IDN_POS,
        self::FR_MONDIAL,
        self::DE_DHL,
        self::HK_RPX,
        self::DHL_PIECEID,
        self::VNPOST_EMS,
        self::RRDONNELLEY,
        self::DPD_DE,
        self::DELCART_IN,
        self::IMEXGLOBALSOLUTIONS,
        self::ACOMMERCE,
        self::EURODIS,
        self::CANPAR,
        self::GLS,
        self::IND_ECOM,
        self::ESP_ENVIALIA,
        self::DHL_UK,
        self::SMSA_EXPRESS,
        self::TNT_FR,
        self::DEX_I,
        self::BUDBEE_WEBHOOK,
        self::COPA_COURIER,
        self::VNM_VIETNAM_POST,
        self::DPD_HK,
        self::TOLL_NZ,
        self::ECHO_,
        self::FEDEX_FR,
        self::BORDEREXPRESS,
        self::MAILPLUS_JPN,
        self::TNT_UK_REFR,
        self::KEC,
        self::DPD_RO,
        self::TNT_JP,
        self::TH_CJ,
        self::EC_CN,
        self::FASTWAY_UK,
        self::FASTWAY_US,
        self::GLS_DE,
        self::GLS_ES,
        self::GLS_FR,
        self::MONDIAL_BE,
        self::SGT_IT,
        self::TNT_CN,
        self::TNT_DE,
        self::TNT_ES,
        self::TNT_PL,
        self::PARCELFORCE,
        self::SWISS_POST,
        self::TOLL_IPEC,
        self::AIR_21,
        self::AIRSPEED,
        self::BERT,
        self::BLUEDART,
        self::COLLECTPLUS,
        self::COURIERPLUS,
        self::COURIER_POST,
        self::DHL_GLOBAL_MAIL,
        self::DPD_UK,
        self::DELTEC_DE,
        self::DEUTSCHE_DE,
        self::DOTZOT,
        self::ELTA_GR,
        self::EMS_CN,
        self::ECARGO,
        self::ENSENDA,
        self::FERCAM_IT,
        self::FASTWAY_ZA,
        self::FASTWAY_AU,
        self::FIRST_LOGISITCS,
        self::GEODIS,
        self::GLOBEGISTICS,
        self::GREYHOUND,
        self::JETSHIP_MY,
        self::LION_PARCEL,
        self::AEROFLASH,
        self::ONTRAC,
        self::SAGAWA,
        self::SIODEMKA,
        self::STARTRACK,
        self::TNT_AU,
        self::TNT_IT,
        self::TRANSMISSION,
        self::YAMATO,
        self::DHL_IT,
        self::DHL_AT,
        self::LOGISTICSWORLDWIDE_KR,
        self::GLS_SPAIN,
        self::AMAZON_UK_API,
        self::DPD_FR_REFERENCE,
        self::DHLPARCEL_UK,
        self::MEGASAVE,
        self::QUALITYPOST,
        self::IDS_LOGISTICS,
        self::JOYINGBOX1,
        self::PANTHER_ORDER_NUMBER,
        self::WATKINS_SHEPARD,
        self::FASTTRACK,
        self::UP_EXPRESS,
        self::ELOGISTICA,
        self::ECOURIER,
        self::CJ_PHILIPPINES,
        self::SPEEDEX,
        self::ORANGECONNEX,
        self::TECOR,
        self::SAEE,
        self::GLS_ITALY_FTP,
        self::DELIVERE,
        self::YYCOM,
        self::ADICIONAL_PT,
        self::DKSH,
        self::NIPPON_EXPRESS_FTP,
        self::GOLS,
        self::FUJEXP,
        self::QTRACK,
        self::OMLOGISTICS_API,
        self::GDPHARM,
        self::MISUMI_CN,
        self::AIR_CANADA,
        self::CITY56_WEBHOOK,
        self::SAGAWA_API,
        self::KEDAEX,
        self::PGEON_API,
        self::WEWORLDEXPRESS,
        self::JT_LOGISTICS,
        self::TRUSK,
        self::VIAXPRESS,
        self::DHL_SUPPLYCHAIN_ID,
        self::ZUELLIGPHARMA_SFTP,
        self::MEEST,
        self::TOLL_PRIORITY,
        self::MOTHERSHIP_API,
        self::CAPITAL,
        self::EUROPAKET_API,
        self::HFD,
        self::TOURLINE_REFERENCE,
        self::GIO_ECOURIER,
        self::CN_LOGISTICS,
        self::PANDION,
        self::BPOST_API,
        self::PASSPORTSHIPPING,
        self::PAKAJO,
        self::DACHSER,
        self::YUSEN_SFTP,
        self::SHYPLITE,
        self::XYY,
        self::MWD,
        self::FAXECARGO,
        self::MAZET,
        self::FIRST_LOGISTICS_API,
        self::SPRINT_PACK,
        self::HERMES_DE_FTP,
        self::CONCISE,
        self::KERRY_EXPRESS_TW_API,
        self::EWE,
        self::FASTDESPATCH,
        self::ABCUSTOM_SFTP,
        self::CHAZKI,
        self::SHIPPIE,
        self::GEODIS_API,
        self::NAQEL_EXPRESS,
        self::PAPA_WEBHOOK,
        self::FORWARDAIR,
        self::DIALOGO_LOGISTICA_API,
        self::LALAMOVE_API,
        self::TOMYDOOR,
        self::KRONOS_WEBHOOK,
        self::JTCARGO,
        self::T_CAT,
        self::CONCISE_WEBHOOK,
        self::TELEPORT_WEBHOOK,
        self::CUSTOMCO_API,
        self::SPX_TH,
        self::BOLLORE_LOGISTICS,
        self::CLICKLINK_SFTP,
        self::M3LOGISTICS,
        self::VNPOST_API,
        self::AXLEHIRE_FTP,
        self::SHADOWFAX,
        self::MYHERMES_UK_API,
        self::DAIICHI,
        self::MENSAJEROSURBANOS_API,
        self::POLARSPEED,
        self::IDEXPRESS_ID,
        self::PAYO,
        self::WHISTL_SFTP,
        self::INTEX_DE,
        self::TRANS2U,
        self::PRODUCTCAREGROUP_SFTP,
        self::BIGSMART,
        self::EXPEDITORS_API_REF,
        self::AITWORLDWIDE_API,
        self::WORLDCOURIER,
        self::QUIQUP,
        self::AGEDISS_SFTP,
        self::ANDREANI_API,
        self::CRLEXPRESS,
        self::SMARTCAT,
        self::CROSSFLIGHT,
        self::PROCARRIER,
        self::DHL_REFERENCE_API,
        self::SEINO_API,
        self::WSPEXPRESS,
        self::KRONOS,
        self::TOTAL_EXPRESS_API,
        self::PARCLL,
        self::XPEDIGO,
        self::STAR_TRACK_WEBHOOK,
        self::GPOST,
        self::UCS,
        self::DMFGROUP,
        self::COORDINADORA_API,
        self::MARKEN,
        self::NTL,
        self::REDJEPAKKETJE,
        self::ALLIED_EXPRESS_FTP,
        self::MONDIALRELAY_ES,
        self::NAEKO_FTP,
        self::MHI,
        self::SHIPPIFY,
        self::MALCA_AMIT_API,
        self::JTEXPRESS_SG_API,
        self::DACHSER_WEB,
        self::FLIGHTLG,
        self::CAGO,
        self::COM1EXPRESS,
        self::TONAMI_FTP,
        self::PACKFLEET,
        self::PUROLATOR_INTERNATIONAL,
        self::WINESHIPPING_WEBHOOK,
        self::DHL_ES_SFTP,
        self::PCHOME_API,
        self::CESKAPOSTA_API,
        self::GORUSH,
        self::HOMERUNNER,
        self::AMAZON_ORDER,
        self::EFWNOW_API,
        self::CBL_LOGISTICA_API,
        self::NIMBUSPOST,
        self::LOGWIN_LOGISTICS,
        self::NOWLOG_API,
        self::DPD_NL,
        self::GODEPENDABLE,
        self::ESDEX,
        self::LOGISYSTEMS_SFTP,
        self::EXPEDITORS,
        self::SNTGLOBAL_API,
        self::SHIPX,
        self::QINTL_API,
        self::PACKS,
        self::POSTNL_INTERNATIONAL,
        self::AMAZON_EMAIL_PUSH,
        self::DHL_API,
        self::SPX,
        self::AXLEHIRE,
        self::ICSCOURIER,
        self::DIALOGO_LOGISTICA,
        self::SHUNBANG_EXPRESS,
        self::TCS_API,
        self::SF_EXPRESS_CN,
        self::PACKETA,
        self::SIC_TELIWAY,
        self::MONDIALRELAY_FR,
        self::INTIME_FTP,
        self::JD_EXPRESS,
        self::FASTBOX,
        self::PATHEON,
        self::INDIA_POST,
        self::TIPSA_REF,
        self::ECOFREIGHT,
        self::VOX,
        self::DIRECTFREIGHT_AU_REF,
        self::BESTTRANSPORT_SFTP,
        self::AUSTRALIA_POST_API,
        self::FRAGILEPAK_SFTP,
        self::FLIPXP,
        self::VALUE_WEBHOOK,
        self::DAESHIN,
        self::SHERPA,
        self::MWD_API,
        self::SMARTKARGO,
        self::DNJ_EXPRESS,
        self::GOPEOPLE,
        self::MYSENDLE_API,
        self::ARAMEX_API,
        self::PIDGE,
        self::THAIPARCELS,
        self::PANTHER_REFERENCE_API,
        self::POSTAPLUS1,
        self::BUFFALO,
        self::U_ENVIOS,
        self::ELITE_CO,
        self::BARQEXP,
        self::ROCHE_INTERNAL_SFTP,
        self::DBSCHENKER_ICELAND,
        self::TNT_FR_REFERENCE,
        self::NEWGISTICSAPI,
        self::GLOVO,
        self::GWLOGIS_API,
        self::SPREETAIL_API,
        self::MOOVA,
        self::PLYCONGROUP,
        self::USPS_WEBHOOK,
        self::REIMAGINEDELIVERY,
        self::EDF_FTP,
        self::DAO365,
        self::BIOCAIR_FTP,
        self::RANSA_WEBHOOK,
        self::SHIPXPRES,
        self::COURANT_PLUS_API,
        self::SHIPA,
        self::HOMELOGISTICS,
        self::DX,
        self::POSTE_ITALIANE_PACCOCELERE,
        self::TOLL_WEBHOOK,
        self::LCTBR_API,
        self::DX_FREIGHT,
        self::DHL_SFTP,
        self::SHIPROCKET,
        self::UBER_WEBHOOK,
        self::STATOVERNIGHT,
        self::BURD,
        self::FASTSHIP,
        self::IBVENTURE_WEBHOOK,
        self::GATI_KWE_API,
        self::CRYOPDP_FTP,
        self::HUBBED,
        self::TIPSA_API,
        self::ARASKARGO,
        self::THIJS_NL,
        self::ATSHEALTHCARE_REFERENCE,
        self::ENUM_99MINUTOS,
        self::HELLENIC_POST,
        self::HSM_GLOBAL,
        self::MNX,
        self::NMTRANSFER,
        self::LOGYSTO,
        self::INDIA_POST_INT,
        self::AMAZON_FBA_SWISHIP_IN,
        self::SRT_TRANSPORT,
        self::BOMI,
        self::DELIVERR_SFTP,
        self::HSDEXPRESS,
        self::SIMPLETIRE_WEBHOOK,
        self::HUNTER_EXPRESS_SFTP,
        self::UPS_API,
        self::WOOYOUNG_LOGISTICS_SFTP,
        self::PHSE_API,
        self::WISH_EMAIL_PUSH,
        self::NORTHLINE,
        self::MEDAFRICA,
        self::DPD_AT_SFTP,
        self::ANTERAJA,
        self::DHL_GLOBAL_FORWARDING_API,
        self::LBCEXPRESS_API,
        self::SIMSGLOBAL,
        self::CDLDELIVERS,
        self::TYP,
        self::TESTING_COURIER_WEBHOOK,
        self::PANDAGO_API,
        self::ROYAL_MAIL_FTP,
        self::THUNDEREXPRESS,
        self::SECRETLAB_WEBHOOK,
        self::SETEL,
        self::JD_WORLDWIDE,
        self::DPD_RU_API,
        self::ARGENTS_WEBHOOK,
        self::POSTONE,
        self::TUSKLOGISTICS,
        self::RHENUS_UK_API,
        self::TAQBIN_SG_API,
        self::INNTRALOG_SFTP,
        self::DAYROSS,
        self::CORREOSEXPRESS_API,
        self::INTERNATIONAL_SEUR_API,
        self::YODEL_API,
        self::HEROEXPRESS,
        self::DHL_SUPPLYCHAIN_IN,
        self::URGENT_CARGUS,
        self::FRONTDOORCORP,
        self::JTEXPRESS_PH,
        self::PARCELSTARS_WEBHOOK,
        self::DPD_SK_SFTP,
        self::MOVIANTO,
        self::OZEPARTS_SHIPPING,
        self::KARGOMKOLAY,
        self::TRUNKRS,
        self::OMNIRPS_WEBHOOK,
        self::CHILEXPRESS,
        self::TESTING_COURIER,
        self::JNE_API,
        self::BJSHOMEDELIVERY_FTP,
        self::DEXPRESS_WEBHOOK,
        self::USPS_API,
        self::TRANSVIRTUAL,
        self::SOLISTICA_API,
        self::CHIENVENTURE_WEBHOOK,
        self::DPD_UK_SFTP,
        self::INPOST_UK,
        self::JAVIT,
        self::ZTO_DOMESTIC,
        self::DHL_GT_API,
        self::CEVA_TRACKING,
        self::KOMON_EXPRESS,
        self::EASTWESTCOURIER_FTP,
        self::DANNIAO,
        self::SPECTRAN,
        self::DELIVER_IT,
        self::RELAISCOLIS,
        self::GLS_SPAIN_API,
        self::POSTPLUS,
        self::AIRTERRA,
        self::GIO_ECOURIER_API,
        self::DPD_CH_SFTP,
        self::FEDEX_API,
        self::INTERSMARTTRANS,
        self::HERMES_UK_SFTP,
        self::EXELOT_FTP,
        self::DHL_PA_API,
        self::VIRTRANSPORT_SFTP,
        self::WORLDNET,
        self::INSTABOX_WEBHOOK,
        self::KNG,
        self::FLASHEXPRESS_WEBHOOK,
        self::MAGYAR_POSTA_API,
        self::WESHIP_API,
        self::OHI_WEBHOOK,
        self::MUDITA,
        self::BLUEDART_API,
        self::T_CAT_API,
        self::ADS,
        self::HERMES_IT,
        self::FITZMARK_API,
        self::POSTI_API,
        self::SMSA_EXPRESS_WEBHOOK,
        self::TAMERGROUP_WEBHOOK,
        self::LIVRAPIDE,
        self::NIPPON_EXPRESS,
        self::BETTERTRUCKS,
        self::FAN,
        self::PB_USPSFLATS_FTP,
        self::PARCELRIGHT,
        self::ITHINKLOGISTICS,
        self::KERRY_EXPRESS_TH_WEBHOOK,
        self::ECOUTIER,
        self::SHOWL,
        self::BRT_IT_API,
        self::RIXONHK_API,
        self::DBSCHENKER_API,
        self::ILYANGLOGIS,
        self::MAIL_BOX_ETC,
        self::WESHIP,
        self::DHL_GLOBAL_MAIL_API,
        self::ACTIVOS24_API,
        self::ATSHEALTHCARE,
        self::LUWJISTIK,
        self::GW_WORLD,
        self::FAIRSENDEN_API,
        self::SERVIP_WEBHOOK,
        self::SWISHIP,
        self::TANET,
        self::HOTSIN_CARGO,
        self::DIREX,
        self::HUANTONG,
        self::IMILE_API,
        self::BDMNET,
        self::AUEXPRESS,
        self::NYTLOGISTICS,
        self::DSV_REFERENCE,
        self::NOVOFARMA_WEBHOOK,
        self::AITWORLDWIDE_SFTP,
        self::SHOPOLIVE,
        self::FNF_ZA,
        self::DHL_ECOMMERCE_GC,
        self::FETCHR,
        self::STARLINKS_API,
        self::YYEXPRESS,
        self::SERVIENTREGA,
        self::HANJIN,
        self::SPANISH_SEUR_FTP,
        self::DX_B2B_CONNUM,
        self::HELTHJEM_API,
        self::INEXPOST,
        self::A2B_BA,
        self::RHENUS_GROUP,
        self::SBERLOGISTICS_RU,
        self::MALCA_AMIT,
        self::PPL,
        self::OSM_WORLDWIDE_SFTP,
        self::ACILOGISTIX,
        self::OPTIMACOURIER,
        self::NOVA_POSHTA_API,
        self::LOGGI,
        self::YIFAN,
        self::MYDYNALOGIC,
        self::MORNINGLOBAL,
        self::CONCISE_API,
        self::FXTRAN,
        self::DELIVERYOURPARCEL_ZA,
        self::UPARCEL,
        self::MOBI_BR,
        self::LOGINEXT_WEBHOOK,
        self::EMS,
        self::SPEEDY
    ];

    /**
     * Ensures that all the given values are present in this Enum.
     *
     * @param array|stdClass|null|string $value Value or a list/map of values to be checked
     *
     * @return array|null|string Input value(s), if all are a part of this Enum
     *
     * @throws Exception Throws exception if any given value is not in this Enum
     */
    public static function checkValue($value)
    {
        $value = json_decode(json_encode($value), true); // converts stdClass into array
        if (CoreHelper::checkValueOrValuesInList($value, self::_ALL_VALUES)) {
            return $value;
        }
        throw new Exception("$value is invalid for ShipmentCarrier.");
    }
}
